/*
    Copyright (C) 2007 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    Last Modified: 2008-09-11
*/

Green_sealed_box shape#(1129)()
{
       var DOUBLECLICK= 1;
       var unsealed_box= 799;

       if (event == DOUBLECLICK)
       {
          UI_play_sound_effect2(0xE, item);
          set_item_shape(unsealed_box);
       }
}

Desk_Items shape#(0x2A3)()
{
   var DOUBLECLICK= 1;
   var Seal_frame= 8;
   var PARTY= -357;
   var AVATAR= -356;

   var Desk_Item_Shape= 675;
   var Any_Quality= -359;
   var Unsealed_box= 799;
   var Red_sealed_box = 798;
   var Red_wax_frame= 7;
   var Green_wax_frame= 12;
   var Green_sealed_box= 1129;

      if (UI_get_item_frame(item) == Seal_frame)
      {
         var click= UI_click_on_item();
         var get_shape_click= UI_get_item_shape(click);
      

         if ((UI_count_objects(PARTY, Desk_Item_Shape, Any_Quality, Red_wax_frame) >= 0) && (UI_count_objects(PARTY, Desk_Item_Shape, Any_Quality, Green_wax_frame) >= 0) && (!(get_shape_click == Unsealed_box)))
            return;
         else if ((UI_count_objects(PARTY, Desk_Item_Shape, Any_Quality, Red_wax_frame) == 0) && (UI_count_objects(PARTY, Desk_Item_Shape, Any_Quality, Green_wax_frame) == 0) && (get_shape_click == Unsealed_box))
            AVATAR.say("We need to get some more wax.");
         else if (UI_count_objects(PARTY, Desk_Item_Shape, Any_Quality, Red_wax_frame) >= 1) //checks to ses if party has red wax
         {
            if (get_shape_click == Unsealed_box)
            {
               UI_set_item_shape(click, Red_sealed_box); //changes unsealed box to red sealed box
               UI_remove_party_items(1, Desk_Item_Shape, Any_Quality, Red_wax_frame); //removes 1 red wax from party inventory
            }
         }
         else if (UI_count_objects(PARTY, Desk_Item_Shape, Any_Quality, Green_wax_frame) >= 1) //checks to ses if party has green wax
         {
            if (get_shape_click == Unsealed_box)
            {
               UI_set_item_shape(click, Green_sealed_box); //changes unsealed box to green sealed box
               UI_remove_party_items(1, Desk_Item_Shape, Any_Quality, Green_wax_frame); //removes 1 green wax from party inventory
            }
         }
         else
         return;
      }

      else
         Desk_Items.original();
}

