/*
    Copyright (C) 2007 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    Last Modified: 2008-09-11
*/

FortuneTeller object#(0x9FF) ()
{
   var roll = UI_get_random(28);
   var avatarname = getAvatarName();
   var FORTUNE_TELLER_FACE = -606;

   if ((gflags[AvatarIsBard]) || (gflags[AvatarIsMage]) || (gflags[AvatarIsPaladin]) || (gflags[AvatarIsShepherd])
   || (gflags[AvatarIsDruid]) || (gflags[AvatarIsTinker]) || (gflags[AvatarIsRanger]) || (gflags[AvatarIsFighter]))
   {
      FORTUNE_TELLER_FACE.say("@The path of the Avatar lies beneath thy feet, worthy " + avatarname + "@");
      FORTUNE_TELLER_FACE.hide();
      AVATAR.say("With a mysterious smile, she passes you the flask of shimmering liquids.");
      AVATAR.hide();
      FORTUNE_TELLER_FACE.say("@Drink of these waters and go forth among our people, who shall receive thee in joy!@");
      FORTUNE_TELLER_FACE.hide();
      AVATAR.say("As you drink from the flask, vertigo overwhelms you.");
      AVATAR.say("A soothing mist obscures the gypsy's face, and you sink without fear into an untroubled sleep.");
      UI_move_object(AVATAR, [481, 2483, 0, 0]);
      AVATAR.say("You wake in a different time, upon another world's shore.");
      AVATAR.say("Though the Avatar's quests bring you both triumph and tragedy, never do you stray from the path of the Eight Virtues.");
      return;
   }
   if (!(gflags[FindWagon]))
   {
      UI_set_item_flag(AVATAR, DONT_MOVE);
      UI_remove_item(UI_find_nearby(AVATAR, 275, 10, 0x10));
      UI_remove_item(UI_find_nearby(AVATAR, 275, 10, 0x10));
      UI_remove_item(UI_find_nearby(AVATAR, 275, 10, 0x10));
      UI_remove_item(UI_find_nearby(AVATAR, 275, 10, 0x10));
      UI_remove_item(UI_find_nearby(AVATAR, 275, 10, 0x10));
      UI_remove_item(UI_find_nearby(AVATAR, 275, 10, 0x10));
      UI_remove_item(UI_find_nearby(AVATAR, 275, 10, 0x10));
      UI_remove_item(UI_find_nearby(AVATAR, 275, 10, 0x10));
      AVATAR.say("A lonely stroll along an unfamiliar forest path brings you upon a curious gypsy wagon, its exotic colors dapple in the summer shape.");
      AVATAR.hide();
      FORTUNE_TELLER_FACE.say("@Welcome, O Seeker.@");
      FORTUNE_TELLER_FACE.hide();
      AVATAR.say("A woman's voice rings out with friendship, beckoning you across the wagon's threshold and, as it happens, into another life...");
      AVATAR.hide();
      FORTUNE_TELLER_FACE.say("@At last thou hast come to fulfill thy destiny.@");
      FORTUNE_TELLER_FACE.hide();
      AVATAR.say("She smiles, as if in great relief.");
      AVATAR.hide();
      FORTUNE_TELLER_FACE.say("@Sit before me now, and I shall pour the light of virtue into the shadows of thy future.@");
      Func088D(0x0369, 0x0369);
      script AVATAR
      {
         wait 30;
         call FortuneTeller;
      }
      gflags[FindWagon] = true;
      abort;
   }
   else if (!(gflags[StartTest]))
   {
      AVATAR.say("On a wooden table, eight bottles stand, a rainbow of bubbling liquids.");
      AVATAR.hide();
      FORTUNE_TELLER_FACE.say("@Behold the Virtues of the Avatar. Let us begin casting!@");
      gflags[StartTest] = true;
      item->FortuneTeller();
   }
   else if ((gflags[DeniedCompassion] == false) && (gflags[DeniedSacrifice] == false) && (roll == 1))
   {
        FORTUNE_TELLER_FACE.say("@Thee and thy friends hath been routed and ordered to retreat. In defiance of thy orders dost thou@");
        FORTUNE_TELLER_FACE.say("@Stop in Compassion to aid a wounded comrade, or Sacrifice thyself to slow the pursuing enemy so that others might escape?@");
        if (ChooseFromAnswers(["Stop to aid a wounded comrade", "Sacrifice myself to slow the enemy"]) == "Stop to aid a wounded comrade")
        {
            if (gflags[Compassion2])
               gflags[AvatarIsBard] = true;
            if (gflags[Compassion1])
               gflags[Compassion2] = true;
            gflags[Compassion1] = true;
            gflags[DeniedSacrifice] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Sacrifice2])
               gflags[AvatarIsTinker] = true;
            if (gflags[Sacrifice1])
               gflags[Sacrifice2] = true;
            gflags[Sacrifice1] = true;
            gflags[DeniedCompassion] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedValor] == false) && (gflags[DeniedJustice] == false) && (roll == 2))
   {
        FORTUNE_TELLER_FACE.say("@Thou hast been sent to secure a needed treaty with a distant Lord.@");
        FORTUNE_TELLER_FACE.say("@Thy host is agreeable to thy proposal but insults thy country at dinner. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Valiantly bear the slurs, or Justly rise and demand an apology?@");
        if (ChooseFromAnswers(["Valiantly bear the slurs", "Justly rise and demand an apology"]) == "Valiantly bear the slurs")
        {
            if (gflags[Valor2] == true)
               gflags[AvatarIsFighter] = true;
            if (gflags[Valor1])
               gflags[Valor2] = true;
            gflags[Valor1] = true;
            gflags[DeniedJustice] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Justice2])
               gflags[AvatarIsDruid] = true;
            if (gflags[Justice1])
               gflags[Justice2] = true;
            gflags[Justice1] = true;
            gflags[DeniedValor] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedHonesty] == false) && (gflags[DeniedHumility] == false) && (roll == 3))
   {
        FORTUNE_TELLER_FACE.say("@Thy Lord doth mistakenly believe he slew a dragon. Thou hast proof that thy lance felled the beast. When asked, dost thou@");
        FORTUNE_TELLER_FACE.say("@Honestly claim the kill, or Humbly permit thy Lord his belief?@");
        if (ChooseFromAnswers(["Honestly claim the kill", "Humbly permit my Lord his belief"]) == "Honestly claim the kill")
        {
            if (gflags[Honesty2])
               gflags[AvatarIsMage] = true;
            if (gflags[Honesty1])
               gflags[Honesty2] = true;
            gflags[Honesty1] = true;
            gflags[DeniedHumility] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Humility2])
               gflags[AvatarIsShepherd] = true;
            if (gflags[Humility1])
               gflags[Humility2] = true;
            gflags[Humility1] = true;
            gflags[DeniedHonesty] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedHonor] == false) && (gflags[DeniedSpirituality] == false) && (roll == 4))
   {
        FORTUNE_TELLER_FACE.say("@In thy youth thou dist pledge to marry thy sweetheart. Now thou art on a Sacred quest in distant lands.@");
        FORTUNE_TELLER_FACE.say("@Thy sweetheart doth ask thee to keep thy vow. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Honor thy pledge to wed, or follow thy Spiritual crusade?@");
        if (ChooseFromAnswers(["Honor my pledge to wed", "Follow my Spiritual crusade"]) == "Honor my pledge to wed")
        {
            if (gflags[Honor2])
               gflags[AvatarIsPaladin] = true;
            if (gflags[Honor1])
               gflags[Honor2] = true;
            gflags[Honor1] = true;
            gflags[DeniedSpirituality] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Spirituality2])
               gflags[AvatarIsRanger] = true;
            if (gflags[Spirituality1])
               gflags[Spirituality2] = true;
            gflags[Spirituality1] = true;
            gflags[DeniedHonor] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedCompassion] == false) && (gflags[DeniedSpirituality] == false) && (roll == 5))
   {
        FORTUNE_TELLER_FACE.say("@Thou hast been taught to preserve all life as sacred.@");
        FORTUNE_TELLER_FACE.say("@A man lies fatally stung by a venomous serpent. He prays for a merciful death. Dost thou@");
        FORTUNE_TELLER_FACE.say("@show Compassion and end his pain, or heed thy Spiritual beliefs and turn away?@");
        if (ChooseFromAnswers(["Show Compassion and end his pain", "Heed beliefs and turn away"]) == "Show Compassion and end his pain")
        {
            if (gflags[Compassion2])
               gflags[AvatarIsBard] = true;
            if (gflags[Compassion1])
               gflags[Compassion2] = true;
            gflags[Compassion1] = true;
            gflags[DeniedSpirituality] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Spirituality2])
               gflags[AvatarIsRanger] = true;
            if (gflags[Spirituality1])
               gflags[Spirituality2] = true;
            gflags[Spirituality1] = true;
            gflags[DeniedCompassion] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedHonesty] == false) && (gflags[DeniedValor] == false) && (roll == 6))
   {
        FORTUNE_TELLER_FACE.say("@Thou hast been prohibited  by thy absent Lord from joining thy friends in a close-pitched battle. Dost thou@");
        FORTUNE_TELLER_FACE.say("@refrain, so you may Honestly claim obedience, or show Valor and aid thy comrades, knowing thou may deny it later?@");
        if (ChooseFromAnswers(["Honestly claim obedience", "Show Valor and aid my comrades"]) == "Honestly claim obedience")
        {
            if (gflags[Honesty2])
               gflags[AvatarIsMage] = true;
            if (gflags[Honesty1])
               gflags[Honesty2] = true;
            gflags[Honesty1] = true;
            gflags[DeniedValor] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Valor2] == true)
               gflags[AvatarIsFighter] = true;
            if (gflags[Valor1])
               gflags[Valor2] = true;
            gflags[Valor1] = true;
            gflags[DeniedHonesty] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedHonesty] == false) && (gflags[DeniedSpirituality] == false) && (roll == 7))
   {
        FORTUNE_TELLER_FACE.say("@Thy friend doth seek acceptance to thy spiritual order.@");
        FORTUNE_TELLER_FACE.say("@Thou art asked to vouch for his purity of spirit, of which thou art uncertain. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Honestly express thy doubt, or vouch for him, hoping for his Spiritual improvement?@");
        if (ChooseFromAnswers(["Honestly express my doubt", "Vouch for him"]) == "Honestly express my doubt")
        {
            if (gflags[Honesty2])
               gflags[AvatarIsMage] = true;
            if (gflags[Honesty1])
               gflags[Honesty2] = true;
            gflags[Honesty1] = true;
            gflags[DeniedSpirituality] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Spirituality2])
               gflags[AvatarIsRanger] = true;
            if (gflags[Spirituality1])
               gflags[Spirituality2] = true;
            gflags[Spirituality1] = true;
            gflags[DeniedHonesty] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedSacrifice] == false) && (gflags[DeniedSpirituality] == false) && (roll == 8))
   {
        FORTUNE_TELLER_FACE.say("@Thou hast spent thy life in charitable and righteous work.@");
        FORTUNE_TELLER_FACE.say("@Thine uncle the innkeeper lies ill and asks thee to take over the tavern. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Sacrifice thy life of purity to aid thy kin, or decline and follow the call of Spirituality?@");
        if (ChooseFromAnswers(["Aid my kin", "Follow the call of Spirituality"]) == "Aid my kin")
        {
            if (gflags[Sacrifice2])
               gflags[AvatarIsTinker] = true;
            if (gflags[Sacrifice1])
               gflags[Sacrifice2] = true;
            gflags[Sacrifice1] = true;
            gflags[DeniedSpirituality] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Spirituality2])
               gflags[AvatarIsRanger] = true;
            if (gflags[Spirituality1])
               gflags[Spirituality2] = true;
            gflags[Spirituality1] = true;
            gflags[DeniedSacrifice] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedCompassion] == false) && (gflags[DeniedHonor] == false) && (roll == 9))
   {
        FORTUNE_TELLER_FACE.say("@Thou art sworn to uphold a Lord who doth participate in the forbidded torture of prisoners.@");
        FORTUNE_TELLER_FACE.say("@Each night their cries of pain reach thee. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Show Compassion by reporting the deeds, or Honor thy oath and ignore the deeds?@");
        if (ChooseFromAnswers(["Report the deeds", "Ignore the deeds"]) == "Report the deeds")
        {
            if (gflags[Compassion2])
               gflags[AvatarIsBard] = true;
            if (gflags[Compassion1])
               gflags[Compassion2] = true;
            gflags[Compassion1] = true;
            gflags[DeniedHonor] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Honor2])
               gflags[AvatarIsPaladin] = true;
            if (gflags[Honor1])
               gflags[Honor2] = true;            
            gflags[Honor1] = true;
            gflags[DeniedCompassion] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedCompassion] == false) && (gflags[DeniedJustice] == false) && (roll == 10))
   {
        FORTUNE_TELLER_FACE.say("@After twenty years thou hast found the slayer of thy best friends.@");
        FORTUNE_TELLER_FACE.say("@The villain proves to be a man who provides the sole support of a young girl. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Spare him in Compassion for the child, or slay him in the name of Justice.@");
        if (ChooseFromAnswers(["Spare him for the child", "Slay him in the name of Justice"]) == "Spare him for the child")
        {
            if (gflags[Compassion2])
               gflags[AvatarIsBard] = true;
            if (gflags[Compassion1])
               gflags[Compassion2] = true;
            gflags[Compassion1] = true;
            gflags[DeniedJustice] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Justice2])
               gflags[AvatarIsDruid] = true;
            if (gflags[Justice1])
               gflags[Justice2] = true;
            gflags[Justice1] = true;

            gflags[DeniedCompassion] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedSacrifice] == false) && (gflags[DeniedHumility] == false) && (roll == 11))
   {
        FORTUNE_TELLER_FACE.say("@Thou art an elderly, wealthy merchant. Thy end is near. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Sacrifice all thy wealth to feed hundreds of starving children, receiving public adulation, or@");
        FORTUNE_TELLER_FACE.say("@Humbly live out thy life willing thy fortune to thy heirs?@");
        if (ChooseFromAnswers(["Sacrifice all my wealth", "Will my fortune to thy heirs"]) == "Sacrifice all my wealth")
        {
            if (gflags[Sacrifice2])
               gflags[AvatarIsTinker] = true;
            if (gflags[Sacrifice1])
               gflags[Sacrifice2] = true;
            gflags[Sacrifice1] = true;
            gflags[DeniedHumility] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Humility2])
               gflags[AvatarIsShepherd] = true;
            if (gflags[Humility1])
               gflags[Humility2] = true;
            gflags[Humility1] = true;
            gflags[DeniedSacrifice] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedJustice] == false) && (gflags[DeniedHumility] == false) && (roll == 12))
   {
        FORTUNE_TELLER_FACE.say("@Unwitnessed, thou hast slain a mighty dragon in defense of thy life. A poor warrior claims the offered reward. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Justly step forward to claim the bounty, or Humbly go forward about thy life, secure in thy self-esteem?@");
        if (ChooseFromAnswers(["Claim the bounty", "Humbly go forward about my life"]) == "Claim the bounty")
        {
            if (gflags[Justice2])
               gflags[AvatarIsDruid] = true;
            if (gflags[Justice1])
               gflags[Justice2] = true;
            gflags[Justice1] = true;
            gflags[DeniedHumility] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Humility2])
               gflags[AvatarIsShepherd] = true;
            if (gflags[Humility1])
               gflags[Humility2] = true;
            gflags[Humility1] = true;
            gflags[DeniedJustice] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedValor] == false) && (gflags[DeniedSacrifice] == false) && (roll == 13))
   {
        FORTUNE_TELLER_FACE.say("@A burly knight accosts thee and demands thy food. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Valiantly refuse and engage the knight, or Sacrifice thy rations unto the hungry knight?@");
        if (ChooseFromAnswers(["Valiantly refuse", "Sacrifice my rations"]) == "Valiantly refuse")
        {
            if (gflags[Valor2] == true)
               gflags[AvatarIsFighter] = true;
            if (gflags[Valor1])
               gflags[Valor2] = true;
            gflags[Valor1] = true;
            gflags[DeniedSacrifice] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Sacrifice2])
               gflags[AvatarIsTinker] = true;
            if (gflags[Sacrifice1])
               gflags[Sacrifice2] = true;
            gflags[Sacrifice1] = true;
            gflags[DeniedValor] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedHonesty] == false) && (gflags[DeniedHonor] == false) && (roll == 14))
   {
        FORTUNE_TELLER_FACE.say("@Thou art sworn to protect thy Lord at any cost, yet thou knowest he hath commited a crime.@");
        FORTUNE_TELLER_FACE.say("@Authorities ask thee of the affair. Dost thou@");
        FORTUNE_TELLER_FACE.say("@break thine oath by Honestly speaking, or uphold Honor by silently keeping thine oath?@");
        if (ChooseFromAnswers(["Break my oath", "Uphold Honor by keeping silent"]) == "Break my oath")
        {
            if (gflags[Honesty2])
               gflags[AvatarIsMage] = true;
            if (gflags[Honesty1])
               gflags[Honesty2] = true;
            gflags[Honesty1] = true;
            gflags[DeniedHonor] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Honor2])
               gflags[AvatarIsPaladin] = true;
            if (gflags[Honor1])
               gflags[Honor2] = true;            
            gflags[Honor1] = true;
            gflags[DeniedHonesty] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedHonor] == false) && (gflags[DeniedHumility] == false) && (roll == 15))
   {
        FORTUNE_TELLER_FACE.say("@Thou art but a peasant shepherd, thou art discovered to be the sole descendant@");
        FORTUNE_TELLER_FACE.say("@of a noble family long thought extinct. Doth thou@");
        FORTUNE_TELLER_FACE.say("@Honorably take up the arms of thy ancestors, or Humbly resume thy life of simplicity and peace?@");
        if (ChooseFromAnswers(["@Honorably take up arms", "Humbly resume my life"]) == "Honorably take up arms")
        {
            if (gflags[Honor2])
               gflags[AvatarIsPaladin] = true;
            if (gflags[Honor1])
               gflags[Honor2] = true;            
            gflags[Honor1] = true;
            gflags[DeniedHumility] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Humility2])
               gflags[AvatarIsShepherd] = true;
            if (gflags[Humility1])
               gflags[Humility2] = true;
            gflags[Humility1] = true;
            gflags[DeniedHonor] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedCompassion] == false) && (gflags[DeniedHumility] == false) && (roll == 16))
   {
        FORTUNE_TELLER_FACE.say("@The Captain of the King's Guard asks that one among thee visit a hospital to chill the children@");
        FORTUNE_TELLER_FACE.say("@with tales of valiant personal deeds. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Show thy Compassion and play the braggart, or Humbly let another go?@");
        if (ChooseFromAnswers(["Play the braggart", "Humbly let another go"]) == "Play the braggart")
        {
            if (gflags[Compassion2])
               gflags[AvatarIsBard] = true;
            if (gflags[Compassion1])
               gflags[Compassion2] = true;
            gflags[Compassion1] = true;
            gflags[DeniedHumility] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Humility2])
               gflags[AvatarIsShepherd] = true;
            if (gflags[Humility1])
               gflags[Humility2] = true;
            gflags[Humility1] = true;
            gflags[DeniedCompassion] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedHonesty] == false) && (gflags[DeniedCompassion] == false) && (roll == 17))
   {
        FORTUNE_TELLER_FACE.say("@Entrusted to deliver an uncounted purse of gold, thou dost meet a poor beggar. Dost thou@");
        FORTUNE_TELLER_FACE.say("@deliver the gold Honestly, knowing the trust was well placed, or@");
        FORTUNE_TELLER_FACE.say("@show Compassion and give the beggar a coin, knowing it won't be missed?@");
        if (ChooseFromAnswers(["Deliver the gold Honestly", "Give the beggar a coin"]) == "Deliver the gold Honestly")
        {
            if (gflags[Honesty2])
               gflags[AvatarIsMage] = true;
            if (gflags[Honesty1])
               gflags[Honesty2] = true;
            gflags[Honesty1] = true;
            gflags[DeniedCompassion] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Compassion2])
               gflags[AvatarIsBard] = true;
            if (gflags[Compassion1])
               gflags[Compassion2] = true;
            gflags[Compassion1] = true;
            gflags[DeniedHonesty] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedCompassion] == false) && (gflags[DeniedValor] == false) && (roll == 18))
   {
        FORTUNE_TELLER_FACE.say("@Thou dost manage to disarm thy mortal enemy in a duel. He is at thy mercy. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Show Compassion by permitting him to yield, or slay him as expected of a Valiant duelist?@");
        if (ChooseFromAnswers(["Permit him to yield", "Slay him as expected"]) == "Permit him to yield")
        {
            if (gflags[Compassion2])
               gflags[AvatarIsBard] = true;
            if (gflags[Compassion1])
               gflags[Compassion2] = true;
            gflags[Compassion1] = true;
            gflags[DeniedValor] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Valor2] == true)
               gflags[AvatarIsFighter] = true;
            if (gflags[Valor1])
               gflags[Valor2] = true;
            gflags[Valor1] = true;
            gflags[DeniedCompassion] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedHonesty] == false) && (gflags[DeniedJustice] == false) && (roll == 19))
   {
        FORTUNE_TELLER_FACE.say("@A merchant owes thy friend money, now long past due. Thou dost see the same merchant drop a purse of gold. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Honestly return the purse intact, or Justly give thy friend a portion of the gold first?@");
        if (ChooseFromAnswers(["Honestly return the purse intact", "Justly give my friend some gold"]) == "Honestly return the purse intact")
        {
            if (gflags[Honesty2])
               gflags[AvatarIsMage] = true;
            if (gflags[Honesty1])
               gflags[Honesty2] = true;
            gflags[Honesty1] = true;
            gflags[DeniedJustice] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Justice2])
               gflags[AvatarIsDruid] = true;
            if (gflags[Justice1])
               gflags[Justice2] = true;
            gflags[Justice1] = true;
            gflags[DeniedHonesty] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedValor] == false) && (gflags[DeniedSpirituality] == false) && (roll == 20))
   {
        FORTUNE_TELLER_FACE.say("@A local bully pushes for a fight. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Valiantly trounce the rogue, or decline, knowing in thy Spirit that no lasting good will come of it@");
        if (ChooseFromAnswers(["Valiantly trounce the rogue", "Decline, knowing no good will come"]) == "Valiantly trounce the rogue")
        {
            if (gflags[Valor2] == true)
               gflags[AvatarIsFighter] = true;
            if (gflags[Valor1])
               gflags[Valor2] = true;
            gflags[Valor1] = true;
            gflags[DeniedSpirituality] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Spirituality2])
               gflags[AvatarIsRanger] = true;
            if (gflags[Spirituality1])
               gflags[Spirituality2] = true;
            gflags[Spirituality1] = true;
            gflags[DeniedValor] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedValor] == false) && (gflags[DeniedHumility] == false) && (roll == 21))
   {
        FORTUNE_TELLER_FACE.say("@Although a simple fisherman, thou art also a skillful swordsman. Thy Lord dost seek to assemble a peacetime guard. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Answer the call, so that all may witness thy Valor, or@");
        FORTUNE_TELLER_FACE.say("@Humbly decline the offer to join thy Lord's largely ceremonial knighthood.@");
        if (ChooseFromAnswers(["Answer the call", "Humbly decline the offer to join"]) == "Answer the call")
        {
            if (gflags[Valor2] == true)
               gflags[AvatarIsFighter] = true;
            if (gflags[Valor1])
               gflags[Valor2] = true;
            gflags[Valor1] = true;
            gflags[DeniedHumility] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Humility2])
               gflags[AvatarIsShepherd] = true;
            if (gflags[Humility1])
               gflags[Humility2] = true;
            gflags[Humility1] = true;
            gflags[DeniedValor] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedSacrifice] == false) && (gflags[DeniedHonor] == false) && (roll == 22))
   {
        FORTUNE_TELLER_FACE.say("@Thou art a bounty hunter sworn to return an alleged murderer. After his capture, thou dost come to believe him innocent. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Sacrifice thy sizeable bounty for thy belief, or Honor thine oath to return him as promised?@");
        if (ChooseFromAnswers(["Sacrifice my sizeable bounty", "Honor my oath to return him"]) == "Sacrifice my sizeable bounty")
        {
            if (gflags[Sacrifice2])
               gflags[AvatarIsTinker] = true;
            if (gflags[Sacrifice1])
               gflags[Sacrifice2] = true;
            gflags[Sacrifice1] = true;
            gflags[DeniedHonor] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Honor2])
               gflags[AvatarIsPaladin] = true;
            if (gflags[Honor1])
               gflags[Honor2] = true;            
            gflags[Honor1] = true;
            gflags[DeniedSacrifice] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedJustice] == false) && (gflags[DeniedSacrifice] == false) && (roll == 23))
   {
        FORTUNE_TELLER_FACE.say("@During a pitched battle, thou dost see a fellow desert his post, endangering many.@");
        FORTUNE_TELLER_FACE.say("@As he flees, he is set upon by several enemies. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Justly let him fight alone, or risk the Sacrifice of thine own life to aid him?@");
        if (ChooseFromAnswers(["Justly let him fight alone", "Risk the Sacrifice of my own life"]) == "Justly let him fight alone")
        {
            if (gflags[Justice2])
               gflags[AvatarIsDruid] = true;
            if (gflags[Justice1])
               gflags[Justice2] = true;
            gflags[Justice1] = true;
            gflags[DeniedSacrifice] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Sacrifice2])
               gflags[AvatarIsTinker] = true;
            if (gflags[Sacrifice1])
               gflags[Sacrifice2] = true;
            gflags[Sacrifice1] = true;
            gflags[DeniedJustice] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedSpirituality] == false) && (gflags[DeniedHumility] == false) && (roll == 24))
   {
        FORTUNE_TELLER_FACE.say("@Thy parents wish thee to become an apprentice. Two positions are available. Dost thou@");
        FORTUNE_TELLER_FACE.say("@become an acolyte in a worthy Spiritual order, or become an assistant to a humble village cobbler?@");
        if (ChooseFromAnswers(["An acolyte in a Spiritual order", "Become an assistant to a cobbler"]) == "An acolyte in a Spiritual order")
        {
            if (gflags[Spirituality2])
               gflags[AvatarIsRanger] = true;
            if (gflags[Spirituality1])
               gflags[Spirituality2] = true;
            gflags[Spirituality1] = true;
            gflags[DeniedHumility] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Humility2])
               gflags[AvatarIsShepherd] = true;
            if (gflags[Humility1])
               gflags[Humility2] = true;
            gflags[Humility1] = true;
            gflags[DeniedSpirituality] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedJustice] == false) && (gflags[DeniedHonor] == false) && (roll == 25))
   {
        FORTUNE_TELLER_FACE.say("@Thou hast sworn to do thy Lord's bidding in all. He covets a piece of land and orders its owner removed. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Serve Justice, refusing to act, thus being disgraced, or Honor thine oath and evict the landowner?@");
        if (ChooseFromAnswers(["Serve Justice, refusing to act", "Honor my oath and evict the owner"]) == "Serve Justice, refusing to act")
        {
            if (gflags[Justice2])
               gflags[AvatarIsDruid] = true;
            if (gflags[Justice1])
               gflags[Justice2] = true;
            gflags[Justice1] = true;
            gflags[DeniedHonor] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Honor2])
               gflags[AvatarIsPaladin] = true;
            if (gflags[Honor1])
               gflags[Honor2] = true;            
            gflags[Honor1] = true;
            gflags[DeniedJustice] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedValor] == false) && (gflags[DeniedHonor] == false) && (roll == 26))
   {
        FORTUNE_TELLER_FACE.say("@During the battly thou art ordered to guard thy commander's empty tent.@");
        FORTUNE_TELLER_FACE.say("@The battle goes poorly and thou dost yearn to aid thy fellows. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Valiantly enter the battle, or Honor thy post as a guard?@");
        if (ChooseFromAnswers(["Valiantly enter the battle", "Honor my post as a guard"]) == "Valiantly enter the battle")
        {
            if (gflags[Valor2] == true)
               gflags[AvatarIsFighter] = true;
            if (gflags[Valor1])
               gflags[Valor2] = true;
            gflags[Valor1] = true;
            gflags[DeniedHonor] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Honor2])
               gflags[AvatarIsPaladin] = true;
            if (gflags[Honor1])
               gflags[Honor2] = true;            
            gflags[Honor1] = true;
            gflags[DeniedValor] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedJustice] == false) && (gflags[DeniedSpirituality] == false) && (roll == 27))
   {
        FORTUNE_TELLER_FACE.say("@Thou dost believe that virtue resides in all people. Thou dost see a rogue steal from thy Lord. Dost thou@");
        FORTUNE_TELLER_FACE.say("@call him to Justice, or personally try to sway him back to the Spiritual path of good?@");
        if (ChooseFromAnswers(["Call him to Justice", "Try to sway him to good"]) == "Call him to Justice")
        {
            if (gflags[Justice2])
               gflags[AvatarIsDruid] = true;
            if (gflags[Justice1])
               gflags[Justice2] = true;
            gflags[Justice1] = true;
            gflags[DeniedSpirituality] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Spirituality2])
               gflags[AvatarIsRanger] = true;
            if (gflags[Spirituality1])
               gflags[Spirituality2] = true;
            gflags[Spirituality1] = true;
            gflags[DeniedJustice] = true;
            item->FortuneTeller();
        }
   }
   else if ((gflags[DeniedHonesty] == false) && (gflags[DeniedSacrifice] == false) && (roll == 28))
   {    
        FORTUNE_TELLER_FACE.say("@Thee and thy friend are valiant but penniless warriors. Thou both set forth to slay a mighty dragon.@");
        FORTUNE_TELLER_FACE.say("@Thy friend doth think he slew it, but the killing blow was thine. Dost thou@");
        FORTUNE_TELLER_FACE.say("@Honestly claim the reward, or Sacrifice the gold for thy friendship?@");
        if (ChooseFromAnswers(["Honestly claim the reward", "Sacrifice the gold for friendship"]) == "Honestly claim the reward")
        {
            if (gflags[Honesty2])
               gflags[AvatarIsMage] = true;
            if (gflags[Honesty1])
               gflags[Honesty2] = true;
            gflags[Honesty1] = true;
            gflags[DeniedSacrifice] = true;
            item->FortuneTeller();
        }
        else
        {
            if (gflags[Sacrifice2])
               gflags[AvatarIsTinker] = true;
            if (gflags[Sacrifice1])
               gflags[Sacrifice2] = true;
            gflags[Sacrifice1] = true;
            gflags[DeniedHonesty] = true;
            item->FortuneTeller();
        }
   }
   else
   item->FortuneTeller();
}