/*
    Copyright (C) 2007 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    Last Modified: 2008-09-11
*/

DeskItems shape#(0x2A3) ()
{
   var red;
   var green;
   var wax_frame;
   var box_shape;
   var seal = 8;
   var red_wax = 7;
   var green_wax = 12;
   var green_box = 1366;
   var red_box = 1210;
   var unsealed_box = 1211;
   var desk_item = 675;
   var count_red_wax = UI_count_objects(PARTY, desk_item, QUALITY_ANY, red_wax);
   var count_green_wax = UI_count_objects(PARTY, desk_item, QUALITY_ANY, green_wax);

   if (event == 1)
   {
         AVATAR->clear_item_say();

         if (get_item_frame() == seal)
         {
               var target = UI_click_on_item();
               var shape = UI_get_item_shape(target);

               close_gumps();
               if (shape != unsealed_box)
                     return;
               else if (count_red_wax == 0 && count_green_wax == 0)
                     AVATAR.say("We need to get some more wax");
               else if(count_green_wax >= 1 && count_red_wax >= 1)
               {
                     if (ChooseFromAnswers(["Red", "Green"]) == "Red")
                           red = true;
                     else
                           green = true;
               }
               else if (count_red_wax >= 1)
                     red = true;
               else if (count_green_wax >= 1)
                     green = true;
               if (red)
               {
                     box_shape = red_box;
                     wax_frame = red_wax;
               }
               else
               {
                     box_shape = green_box;
                     wax_frame = green_wax;
               }
               UI_remove_party_items(1, desk_item, QUALITY_ANY, wax_frame);
               UI_set_item_shape(target, box_shape);
               return;
         }
   }
 DeskItems.original();
}