/*
    Copyright (C) 2007 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    Last Modified: 2008-09-11
*/

Smoke_bomb shape#(1221) ()
{
        var bee = 1050;
        var pos = get_object_position();
        var find_bees = UI_find_nearby(item, bee, 300, 0);

	if (!(event == DOUBLECLICK || event == WEAPON))
	        return;
        UI_close_gumps();
	for (bees in find_bees)
	{
	        UI_set_schedule_type(bees, 0);
	        UI_set_attack_mode(bees, FLEE);
	        UI_set_opponent(bees, AVATAR);
	}
	UI_halt_scheduled(item); // What other script would it be involved in?
        UI_sprite_effect(3, pos[X], pos[Y], 0, 0, 0, 25);
	UI_sprite_effect(3, pos[X], pos[Y], 2, 0, 1, 25);
	UI_sprite_effect(3, pos[X], pos[Y], -2, 0, 2, 25);
	UI_sprite_effect(3, pos[X], pos[Y], 0, 2, 3, 25);
	UI_sprite_effect(3, pos[X], pos[Y], 0, -2, 3, 25);
	UI_sprite_effect(3, pos[X], pos[Y], 2, 2, 1, 25);
	UI_sprite_effect(3, pos[X], pos[Y], 2, -2, 2, 25);
	UI_sprite_effect(3, pos[X], pos[Y], -2, 2, 3, 25);
	UI_sprite_effect(3, pos[X], pos[Y], -2, -2, 4, 25);
	UI_remove_item(item);
        return;
}