/*
    Copyright (C) 2007 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    Last Modified: 2008-09-11
*/

left_open_abbey_door shape#(1037)()
{
     var pos = get_object_position();
     var otherdoor = find_nearby(1062, 7, 0);

     if (get_item_frame() == 0)
     {
           move_object([pos[X] + 3, pos[Y]]);
           if (UI_get_item_frame(otherdoor) == get_item_frame())
           {
                 var pos = UI_get_object_position(otherdoor);
                 UI_set_item_shape(otherdoor, 1061);
                 UI_set_item_frame(otherdoor, 1);
           
           }
           set_item_frame(1);
           set_item_shape(1072);
     }
     else if (get_item_frame() == 1)
     {
           move_object([pos[X] + 3, pos[Y]]);
           if (UI_get_item_frame(otherdoor) == get_item_frame())
           {
                 var pos = UI_get_object_position(otherdoor);
                 UI_set_item_shape(otherdoor, 1061);
                 UI_set_item_frame(otherdoor, 0);
           
           }
           set_item_frame(0);
           set_item_shape(1072);
     }
}

right_open_abbey_door shape#(1062)()
{ 
     var otherdoor = find_nearby(1037, 7, 0);
     var pos = UI_get_object_position(otherdoor);

     if (get_item_frame() == 0)
     {
           if (UI_get_item_frame(otherdoor) == get_item_frame())
           {
                 UI_move_object(otherdoor, [pos[X] + 3, pos[Y]]);
                 UI_set_item_frame(otherdoor, 1);
                 UI_set_item_shape(otherdoor, 1072);
           }
           set_item_shape(1061);
           set_item_frame(1);
     }
     else if (get_item_frame() == 1)
     {
           if (UI_get_item_frame(otherdoor) == get_item_frame())
           {
                 UI_move_object(otherdoor, [pos[X] + 3, pos[Y]]);
                 UI_set_item_frame(otherdoor, 0);
                 UI_set_item_shape(otherdoor, 1072);
           }
           set_item_shape(1061);
           set_item_frame(0);
     }
}

left_closed_abbey_door shape#(1072)()
{
     var pos = get_object_position();
     var otherdoor = find_nearby(1061, 4, 0);

     if (get_item_frame() == 0)
     {
           if (UI_get_item_frame(otherdoor) == get_item_frame())
           {
                 UI_set_item_frame(otherdoor, 1);
                 UI_set_item_shape(otherdoor, 1062);
           }
           move_object([pos[X] - 3, pos[Y]]);
           set_item_frame(1);
           set_item_shape(1037);
     }
     else if (get_item_frame() == 1)
     {
           if (UI_get_item_frame(otherdoor) == get_item_frame())
           {
                 UI_set_item_frame(otherdoor, 0);
                 UI_set_item_shape(otherdoor, 1062);
           }
           move_object([pos[X] - 3, pos[Y]]);
           set_item_frame(0);
           set_item_shape(1037);
     }
}

right_closed_abbey_door shape#(1061)()
{

     var otherdoor = find_nearby(1072, 4, 0);
     var pos = UI_get_object_position(otherdoor);

     if (get_item_frame() == 0)
     {
           if (UI_get_item_frame(otherdoor) == get_item_frame())
           {
                 UI_move_object(otherdoor, [pos[X] - 3, pos[Y]]);
                 UI_set_item_frame(otherdoor, 1);
                 UI_set_item_shape(otherdoor, 1037);
           }
           set_item_shape(1062);
           set_item_frame(1);
     }
     else if (get_item_frame() == 1)
     {
           if (UI_get_item_frame(otherdoor) == get_item_frame())
           {
                 UI_move_object(otherdoor, [pos[X] - 3, pos[Y]]);
                 UI_set_item_frame(otherdoor, 0);
                 UI_set_item_shape(otherdoor, 1037);
           }
           set_item_shape(1062);
           set_item_frame(0);
     }
}