/*
    Copyright (C) 2007 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Wizardry Dragon
    heavily modified by Malignant Manor for use in SI BG Merge
    Last Modified: 2008-09-14
*/

Tseramed object#(0x4F5) ()
{
	var bark;
	var answers;
	var party = UI_get_party_list();
	var partysize = UI_get_array_size(party);

//	if (event == PROXIMITY)
//		scheduleBarks(item);
        var training = get_npc_prop(TRAINING);
        if (get_npc_prop(EXPERIENCE) == 220)
                set_npc_prop(TRAINING, - training);


	if (event == DOUBLECLICK)
	{


		//Player message according to flags:
		if ((item in party)) bark = "@Can we speak, Tseramed?@";
		else bark = "@Hail!@";

		//SI-style start of dialog, although the NPC does not move to the Avatar:
		UI_set_item_flag(AVATAR, DONT_MOVE);
                script AVATAR
		{
			//call trueFreeze;			
                        face AVATAR->find_direction(item);
			actor frame STAND;			say bark;
			wait 10;
		}
		
		//Tseramed's response according to flags:
		if ((item in party)) bark = "@I am at thy command, Avatar@";
		else bark = "@Greetings.@";
		

		//SI-style start of dialog, although the NPC does not move to the Avatar:
		set_item_flag(DONT_MOVE);
                script item
		{
			//call trueFreeze;
                        wait 5;
			face find_direction(AVATAR);
			actor frame STAND;			say bark;
			wait 8;                                 call Tseramed;
		}
	}
	else if (event == SCRIPTED)
	{
		//Unfreeze Avatar and Tseramed:
		UI_clear_item_flag(AVATAR, DONT_MOVE);
                clear_item_flag(DONT_MOVE);


        


	var avatartitle;
	var avatarname;
	var party = UI_get_party_list();
	

	avatartitle = getPoliteTitle();
	avatarname = getAvatarName();

	var answers;
	answers = ["name", "job"];

	if (!UI_get_item_flag(item, 28))
		TSERAMED_FACE.say("@Greetings, travellers.@");
	else if (item in party)
		TSERAMED_FACE.say("@I enjoy travelling with the party.@");

	if ((item in party))
	add("leave");
        
        converse ([answers, "bye"])
	{
        case "bye":
        {
	     if (((item in party)) && (gflags[TSERAMED_TALKED_ABOUT_COMBAT] == false))
	     {

	           UI_push_answers();
                   TSERAMED_FACE.say("@Tell me something, if thou please. Many years have passed since I first learned my woodcraft. Such craft includes skill in arms, and I must know...");
	           TSERAMED_FACE.say("Does the Avatar prefer mystical enchantment to overcome enemies, or physical strength and valor in arms?@");
                   add(["enchantment", "valor in arms"]);
                   if (UI_select_from_menu() == "enchantment")
                   {
	                         TSERAMED_FACE.say("@I have suspected it! No skill have I in such deep matters, but perchance our speech might turn to enchantment when our quest is complete.@");
                                 UI_clear_answers();
                                 add (["hand to hand", "ranged combat"]);
                                 if (UI_select_from_menu() == "hand to hand")
		                 {
			                 UI_clear_answers();
                                         TSERAMED_FACE.say("@Such weapons require strength and daring!  I admire such qualities.@");
			                 TSERAMED_FACE.say("@But my preferences run with the bow.  An ancient weapon, and elegant, a fine bow bow of Yew may bring down game sooner than a sword.@");
		                         TSERAMED_FACE.say("@'Til next time, " + avatartitle + ".@");
                                         gflags[TSERAMED_TALKED_ABOUT_COMBAT] = true;
                                         gflags[Tseramed_asked_to_join] = false;
                                         break;
                                 }
		                 else
		                 {
		                         UI_clear_answers();
			                 TSERAMED_FACE.say("@Such is also my choice.  Few are my peers in the art of archery.  A keen eye and steady hand are required, and that is rare in men of this day.  Even rarer in women.");
			                 TSERAMED_FACE.say("Sad, that the women of Britannia would be innocent of such art!@");
			                 TSERAMED_FACE.say("@'Til next time, " + avatartitle + ".@");
                                         gflags[TSERAMED_TALKED_ABOUT_COMBAT] = true;
                                         gflags[Tseramed_asked_to_join] = false;
                                          break;
		                 }
                   }
                   else
	           {
	                         UI_clear_answers();
                                 TSERAMED_FACE.say("@I have often suspected it!  I am honored to travel with thee.  I shall watch thee diligently, for surely thou art the greatest fighter who ever lived");
		                 TSERAMED_FACE.say("When our quest is complete we shall regale each other with our exploits.  Tell me, dost thou prefer hand to hand combat or ranged weaponry?@");
		                 add (["hand to hand", "ranged combat"]);
		                 if (UI_select_from_menu() == "hand to hand")
		                 {
			                 UI_clear_answers();
                                         TSERAMED_FACE.say("@Such weapons require strength and daring!  I admire such qualities.@");
			                 TSERAMED_FACE.say("@But my preferences run with the bow.  An ancient weapon, and elegant, a fine bow bow of Yew may bring down game sooner than a sword.@");
		                         TSERAMED_FACE.say("@'Til next time, " + avatartitle + ".@");
		                         gflags[TSERAMED_TALKED_ABOUT_COMBAT] = true;
		                         gflags[Tseramed_asked_to_join] = false;
		                         break;
                                 }
		                 else
		                 {
		                         UI_clear_answers();
			                 TSERAMED_FACE.say("@Such is also my choice.  Few are my peers in the art of archery.  A keen eye and steady hand are required, and that is rare in men of this day.  Even rarer in women.");
			                 TSERAMED_FACE.say("Sad, that the women of Britannia would be innocent of such art!@");
			                 TSERAMED_FACE.say("@'Til next time, " + avatartitle + ".@");
                                         gflags[TSERAMED_TALKED_ABOUT_COMBAT] = true;
                                         gflags[Tseramed_asked_to_join] = false;
                                         break;
		                 }
		   }
             }
	     else if (!(item in party))
	     {
		   if (gflags[Tseramed_asked_to_join] == false)
		   {
                                TSERAMED_FACE.say("@" + avatartitle + ", if it pleases thee, I would be honored to travel with thee. I have skill in arms, and I can offer my knowledge and wood craft to thee...@");
				add("join");
			        gflags[Tseramed_asked_to_join] = true;
		   }
                   else
                   {
                                gflags[Tseramed_asked_to_join] = false;
                                TSERAMED_FACE.say("@'Til next time, " + avatartitle + ".@");
                                abort;
                   }
             }
             else
             {
                             gflags[Tseramed_asked_to_join] = false;
                             TSERAMED_FACE.say("@'Til next time, " + avatartitle + ".@");
                             abort;
             }
        }
		case "name" (remove):
			if (!UI_get_item_flag(item, 28))
				TSERAMED_FACE.say("@I am called Tseramed. Art thou fellowship members? How art thou called?@");
			else if (UI_get_item_flag(item, 28) && gflags[DECIEVED_TSERAMED])
				TSERAMED_FACE.say("@I am Tseramed the woodsman. Thou art a lowly deceiver.@");
			else
				TSERAMED_FACE.say("@I am Tseramed the woodsman. Thou art a valiant warrior.@");

		case "job":
		{
			if(gflags[KNOW_TSERAMEDS_JOB] == false)
			{
				TSERAMED_FACE.say("@I am but a humble woodsman. I garner my living from the forest and find knowledge in its depths.");
				TSERAMED_FACE.say("I have explored all this region.@");
				add(["knowledge", "forest"]);
				gflags[KNOW_TSERAMEDS_JOB] = true;
			}
			else
			{
				TSERAMED_FACE.say("@As I said, my woodcraft encompasses all this forest, even the caves in the mountain.@");
				add(["knowledge", "forest", "caves"]);
				
	                        if ((item in party) && (gflags[TSERAMED_TALKED_ABOUT_COMBAT] == false))
	                        {
	                                  UI_push_answers();
                                          TSERAMED_FACE.say("@Tell me something, if thou please. Many years have passed since I first learned my woodcraft. Such craft includes skill in arms, and I must know...");
	                                  TSERAMED_FACE.say("Does the Avatar prefer mystical enchantment to overcome enemies, or physical strength and valor in arms?@");
                                          add(["enchantment", "valor in arms"]);
                                          if (UI_select_from_menu() == "enchantment")
                                          {
		                                   say("@I have suspected it! No skill have I in such deep matters, but perchance our speech might turn to enchantment when our quest is complete.@");
                                                   UI_clear_answers();
                                                   add (["hand to hand", "ranged combat"]);
		                                   if (UI_select_from_menu() == "hand to hand")
		                                   {
			                                    UI_clear_answers();
                                                            TSERAMED_FACE.say("@Such weapons require strength and daring!  I admire such qualities.@");
			                                    TSERAMED_FACE.say("@But my preferences run with the bow.  An ancient weapon, and elegant, a fine bow bow of Yew may bring down game sooner than a sword.@");
                                                            gflags[TSERAMED_TALKED_ABOUT_COMBAT] = true;
                                                            UI_pop_answers();
                                                   }
		                                   else
		                                   {
		                                            UI_clear_answers();
			                                    TSERAMED_FACE.say("@Such is also my choice.  Few are my peers in the art of archery.  A keen eye and steady hand are required, and that is rare in men of this day.  Even rarer in women.");
			                                    TSERAMED_FACE.say("Sad, that the women of Britannia would be innocent of such art!@");
                                                            gflags[TSERAMED_TALKED_ABOUT_COMBAT] = true;
                                                            UI_pop_answers();
		                                   }
	                                   }
                                           else
	                                   {
	                                           UI_clear_answers();
                                                   TSERAMED_FACE.say("@I have often suspected it!  I am honored to travel with thee.  I shall watch thee diligently, for surely thou art the greatest fighter who ever lived");
		                                   TSERAMED_FACE.say("When our quest is complete we shall regale each other with our exploits.  Tell me, dost thou prefer hand to hand combat or ranged weaponry?@");
		                                   add (["hand to hand", "ranged combat"]);
		                                   if (UI_select_from_menu() == "hand to hand")
		                                   {
			                                    UI_clear_answers();
                                                            TSERAMED_FACE.say("@Such weapons require strength and daring!  I admire such qualities.@");
			                                    TSERAMED_FACE.say("@But my preferences run with the bow.  An ancient weapon, and elegant, a fine bow bow of Yew may bring down game sooner than a sword.@");
                                                            gflags[TSERAMED_TALKED_ABOUT_COMBAT] = true;
                                                            UI_pop_answers();
                                                   }
		                                   else
		                                   {
		                                            UI_clear_answers();
			                                    TSERAMED_FACE.say("@Such is also my choice.  Few are my peers in the art of archery.  A keen eye and steady hand are required, and that is rare in men of this day.  Even rarer in women.");
			                                    TSERAMED_FACE.say("Sad, that the women of Britannia would be innocent of such art!@");
                                                            gflags[TSERAMED_TALKED_ABOUT_COMBAT] = true;
                                                            UI_pop_answers();
		                                   }
		                           }
                                }
                          }
		}
		case "knowledge" (remove):
		{
			TSERAMED_FACE.say("@Many years have I dwelt by the mountains. Many spans have vanished under my roaming feet. Into the depths of the dark swamp I have gone, and to the heights of the mountains.");
			TSERAMED_FACE.say("I know the trees of the forest, and the secret places in the earth.@");
			add(["mountains", "swamps", "secret places"]);
		}
		
		case "forest" (remove):
		{
			TSERAMED_FACE.say("@The forest is a wild place, but tamed somewhat in recent years. Within, noble enchanter, thou mayest still find creatures spoken of only in legend.@");
			add("creatures");
		}
		
		case "creatures" (remove):
		{
			TSERAMED_FACE.say("@Aye. Such as would devour the unwary and pick bones dry. In the forest are harpies, and slime on the margins of the swamp, and bees in the caves.");
			TSERAMED_FACE.say("Good game live also in the forest: Foxes and the like.@");
			add(["slime", "harpies", "foxes"]);

		}
		
		case "secret places" (remove):
		{
			TSERAMED_FACE.say("@North of my hut is a deep bore-hole into the mountains.  Within lie bees to rival the size of a sheep or hound.  Their wings stir up leaves when they fly,");
			TSERAMED_FACE.say("and they humm with a noise that make me flee with fear.@");
			TSERAMED_FACE.say("@Some have entered, never to return.  Perhaps they are there still ... Death is greedy, and holds a fate for those of like intent.@");
		}
		
		case "mountains" (remove):
		{
			TSERAMED_FACE.say("@Vaulting in from the coast looms a narrow spine. Dangerous and sharp rear the crags of those mountains. Caves there hold danger and death for the unwary.");
			TSERAMED_FACE.say("Speaking of caves and mountains, there are some who dwell near, or perhaps in, the cave of bees. They are hermits.@");
			TSERAMED_FACE.say("@One day I glimpsed a man and woman deep within the cave as I was hunting. Since then I have seen them twice. I believe they are former citizens of Yew,");
			TSERAMED_FACE.say("though I do not know how they live in harmony with the bees.@");
			add("bees");
		}
		
		case "bees" (remove):
		{
			TSERAMED_FACE.say("@Such bees as thou has never seen! Large as a wolf they are, with wings stretching over a span in length.");
			TSERAMED_FACE.say("A creature stung by them will pass into a deep, death-like sleep.@");
			TSERAMED_FACE.say("@I have hunted them on many occassions for I use their poison on my arrows. And I like their honey. Perhaps together we might journey into the cave for some?@");
			if (!(item in party))
				add ("join");
			add("arrows");
		}

		case "swamps" (remove):
		{
			TSERAMED_FACE.say("@North of the mountain spur is a dense swamp. Killing slime lurk within, guarding a clear spring. All about the water is foul and noisome.");
                        TSERAMED_FACE.say("Into thy boots the foul concoction will seep, bringing on nausea and dizziness. The wise traveller wears swamp boots in such places.@");
			TSERAMED_FACE.say("East, North, and West that mire is drained. Through Yew and past the Abbey the westard river flows. The others both bend north into the sea.");
			add(["death", "slime", "Yew", "Abbey", "sea"]);
		}
		
		case "sea" (remove):
		{
			TSERAMED_FACE.say("@The sea! Its waves sooth a rough mood, but its fury is unrivaled. Ask those who live upon it! A gift it is, to live by it and reap its natural harvest. I cast in a line when I may.");
			TSERAMED_FACE.say("Dost thou wonder what mysteries the sea must hold?@");
                        UI_push_answers();
                        add(["yes", "no"]);

			if (UI_select_from_menu() == "no")
			{
				say("@Perhaps thou art not as fond of the sea as I...@");
				UI_pop_answers();
			}
			else
			{
				TSERAMED_FACE.say("@I also wonder. But the doings of those who travel upon it are more familiar to me. I have seen pirates land upon the northern coast.@");
				UI_pop_answers();
                                add("pirates");
			}
		}

		case "pirates" (remove):
		{
			TSERAMED_FACE.say("@Perhaps they land to cache their booty in the forest. I have never followed them.@");
		}
		
		case "Abbey" (remove):
		{
			TSERAMED_FACE.say("@Empath Abbey is its proper name " + avatartitle + ". They practice ancient arts there, the eldest being the fermentation and distillation of spirits. Demand for their products is high in Yew.@");
		}
		
		case "arrows" (remove):
		{
			TSERAMED_FACE.say("@I fashion my arrows from the stingers of giant bees. With them one may put a fow to sleep.@");
		}
		
		case "join" (remove):
		{
                        if (partysize < 6)
			{
			TSERAMED_FACE.say("@I would be honored, " + avatartitle + ".@");
			add_to_party();
			UI_set_schedule_type(TSERAMED, 31);
			add("leave");
			}
			else
			TSERAMED_FACE.say("@Twould appear, "+ avatartitle," that thou already hath more than enough travelling companions.@");

		}
		case "Yew" (remove):
		{
			TSERAMED_FACE.say("@Citizens of a reclusive nature feel at peace there. Within the forest lie its buildings, many so grown-over as to seem a part of the wood.");
			TSERAMED_FACE.say("East of my dwelling the wood is thick, but a woodcrafty traveller may find the houses there.@");
		}
		
		case "Fellowship" (remove):
		{
			TSERAMED_FACE.say("@I do not trust The Fellowship, and most especially Abraham.@");
			add("Abraham");
		}

		case "Abraham" (remove):
		{
			if (!(item in party))
			{
				TSERAMED_FACE.say("@That is a matter I wouldst not discuss with strangers.@");
			}
			else
			{
				TSERAMED_FACE.say("@Not long ago The Fellowship began to spread its influence throughout Britannia.");
				TSERAMED_FACE.say("In their early days they attracted many bright and enthusiastic young people, among them my love, Lady M.");
				TSERAMED_FACE.say("A woman so intelligent could not help but rise in their ranks. Her direct superior was Abraham.");
				TSERAMED_FACE.say("One black evening she fell gravely ill. According to friends of mine, Abraham forbade her to visit the local healer. By the time I learned this, she had already passed away.@");
				TSERAMED_FACE.say("Tseramed pauses for a moment to compose himself.");
				TSERAMED_FACE.say("@She rests now forever in the Yew graveyard, may her sleep be peaceful. I searched the land for Abraham, but never found my quarry. In fact, it seems that every time I near my prey,");
				TSERAMED_FACE.say("they have already vanished! My search shall never be truly over.@");
				add(["Lady M.", "Yew"]);
			}
		}
		
		case "Lady M." (remove):
		{
			TSERAMED_FACE.say("@Youth is hers forever.@");
		}

		case "slime" (remove):
		{
			TSERAMED_FACE.say("@A dangerious organism is the greenish slime. Acidic to touch, it will hurl pseudopods at its prey from three paces.");
			TSERAMED_FACE.say("Never sleeping, it has no mind and is composed in the main of poisonous substances. It engulfs and devours hapless animals voraciously.@");
		}

		case "harpies" (remove):
		{
			TSERAMED_FACE.say("@A malformed flying horror. Thou wouldst not want to meet one.@");
		}

		case "foxes" (remove):
		{
			TSERAMED_FACE.say("@Cunning is the fox, and shy of humans. We shall never belong to the forest as they do.");
			TSERAMED_FACE.say("This puts me in mind of a story. Wouldst thou like to hear it?@");
                        UI_push_answers();
                        add(["yes", "no"]);
			if (UI_select_from_menu() == "yes")
			{
			        UI_remove_answer(["yes", "no"]);
                                TSERAMED_FACE.say("@One day while walking along the edge of the swamp I happened upon a strange sight. A fox was held at bay on a small hillock in the midst of the swamp, and all around the hillock writhed green slime. ");
				TSERAMED_FACE.say("Slowly the slime crept up toward the fox, when suddenly the fox trotted directly across the surface of the ooze! ");
				TSERAMED_FACE.say("Unharmed, the fox dashed off into the wood, leaving the slime writing behind. By this I guess that the victims of slime are those caught sleeping or unaware.@");
                                UI_pop_answers();
                        }
			else
			{
			        UI_remove_answer(["yes", "no"]);
                        	TSERAMED_FACE.say("@Perhaps another time.@");
                                UI_pop_answers();
                        }
		}
                case "death" (remove):
                {
                TSERAMED_FACE.say("\"Death for the greedy. Death for any who steal from the dwellers in the caves.\"");
                }
                case "leave" (remove):
                {
                TSERAMED_FACE.say("Farewell, " + avatartitle + "may our paths cross again someday.");
                remove_from_party();
                UI_set_schedule_type(TSERAMED, 15);
                }
        }
	}
}