/*
    Copyright (C) 2008 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    I took some basic parts of the conversations from Wizardry Dragon
    Last Modified: 2008-09-11
*/

Deathbolt_Effect object#(0x689) ()
{
	var def_int = UI_get_npc_prop(item, INTELLIGENCE);
	var health = UI_get_npc_prop(item, HEALTH);
        var att_int;

        if (UI_is_readied(AVATAR, WEAPON_HAND, 761, FRAME_ANY) || UI_is_readied(AVATAR, WEAPON_HAND, SPELLBOOK, FRAME_ANY))
             att_int = UI_get_npc_prop(AVATAR, INTELLIGENCE);
        else if (UI_is_readied(IOLO, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != IOLO)
             att_int = UI_get_npc_prop(IOLO, INTELLIGENCE);
        else if (UI_is_readied(IOLO_BG, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != IOLO_BG)
             att_int = UI_get_npc_prop(IOLO_BG, INTELLIGENCE);
        else if (UI_is_readied(SHAMINO, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != SHAMINO)
             att_int = UI_get_npc_prop(SHAMINO, INTELLIGENCE);
        else if (UI_is_readied(SHAMINO_BG, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != SHAMINO_BG)
             att_int = UI_get_npc_prop(SHAMINO_BG, INTELLIGENCE);
        else if (UI_is_readied(DUPRE, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != DUPRE)
        {
             att_int = UI_get_npc_prop(DUPRE, INTELLIGENCE);
             AVATAR.say("Dupre");
        }
        else if (UI_is_readied(DUPRE_BG, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != DUPRE_BG)
             att_int = UI_get_npc_prop(DUPRE_BG, INTELLIGENCE);
        else if (UI_is_readied(JAANA, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != JAANA)
             att_int = UI_get_npc_prop(JAANA, INTELLIGENCE);
        else if (UI_is_readied(JULIA_BG, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != JULIA_BG)
             att_int = UI_get_npc_prop(JULIA_BG, INTELLIGENCE);
        else if (UI_is_readied(LAURIANNA, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != LAURIANNA)
             att_int = UI_get_npc_prop(LAURIANNA, INTELLIGENCE);
        else if (UI_is_readied(MARIAH, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != MARIAH)
             att_int = UI_get_npc_prop(MARIAH, INTELLIGENCE);
        else if (UI_is_readied(TSERAMED, WEAPON_HAND, SPELLBOOK, FRAME_ANY) && get_npc_number() != TSERAMED)
             att_int = UI_get_npc_prop(TSERAMED, INTELLIGENCE);
        else
             att_int = 25;
        if (find_nearby(981, 35, 96))
             att_int = 30;
        if (UI_roll_to_win(att_int, def_int) && !UI_get_item_flag(item, 0x000E))
	        UI_apply_damage(127, 127, 2, item);
        return;
}