/*
    Copyright (C) 2008 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    Last Modified: 2008-09-11
*/

extern var directionFromAvatar 0x979 (var obj);
extern var notInMagicStorm 0x951();

Transcribe object# (0x65E) ()
{
        if (event != DOUBLECLICK)
	        return;

	UI_halt_scheduled(item);
	UI_item_say(item, "@Rel Ort Wis@");

        var SPELL_SCROLL = 715;
        var SPELLBOOK = 761;
        var target = UI_click_on_item();
	var target_shape = UI_get_item_shape(target);
	var quality = UI_get_item_quality(target);
	var direction = directionFromAvatar(item);
	var find_spellbook = UI_find_object(PARTY, SPELLBOOK, QUALITY_ANY, FRAME_ANY);

        if (!(notInMagicStorm() && ((target_shape == SPELL_SCROLL) && find_spellbook)))
        { //spell fails
                UI_execute_usecode_array(item, [0x23, 0x59, direction, 0x55, 0x606]);
                return;
        }
        if (UI_has_spell(find_spellbook, quality))
        {
                delayedBark(AVATAR, "We already have that spell", 10);
                UI_execute_usecode_array(item, [0x23, 0x59, direction, 0x55, 0x606]);
                return;
        }
        else
        {
                UI_execute_usecode_array(item, [0x23, 0x59, direction, 0x58, 0x43]);
	        UI_delayed_execute_usecode_array(target[1], [0x2D], 4);
	        UI_add_spell(quality, 0, find_spellbook);
	}
}