/*
 *
 *  Copyright (C) 2006  The Exult Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 *	This header file contains several more constants used throughout usecode. 
 *	Specifically, it has constants for several sprite animations and sounds, as
 *	well as some faces.
 *
 *	Author: Marzo Junior
 *	Last Modified: 2006-02-27
 */

//Sprite effects
const int ANIMATION_BIG_BLAST			= 1;
//const int ANIMATION_CLOUDS				= 3;
const int ANIMATION_MEDIUM_BLAST		= 4;
const int ANIMATION_SMALL_BLAST			= 5;
//const int ANIMATION_TELEPORT			= 7;
const int ANIMATION_DEATH_VORTEX		= 8;
const int ANIMATION_POOF				= 9;
const int ANIMATION_FIREWORKS			= 12;
const int ANIMATION_GREEN_BUBBLES		= 13;
const int ANIMATION_CIRCLE_BARRIER		= 15;
const int ANIMATION_LIGHTNING			= 17;
const int ANIMATION_BLUE_BEADS			= 18;
const int ANIMATION_PURPLE_BUBBLES		= 21;
const int ANIMATION_MUSIC				= 24;

//SFX   
/*
const int SOUND_BLAST					= 8;
const int SOUND_BIG_BLAST				= 9;
const int SOUND_MOONGATE				= 11;	//0x000B
const int SOUND_BOOK					= 14;	//0x00E
const int SOUND_KEY						= 27;	//Sound made by keys when you use them
const int SOUND_GLASS_SHATTER			= 37;	//0x25
const int SOUND_HIT						= 62;	//0x003E
const int SOUND_TELEPORT				= 72;
*/
/*
//Some faces:
const int DRACOTHRAXUS_FACE				= 0xFEDB;
const int BLACK_SWORD_FACE				= 0xFEDC;
const int ARCADION_GEM_FACE				= 0xFEDD;
const int ARCADION_MIRROR_FACE			= 0xFEDE;
const int ERETHIAN_FACE					= 0xFEE2;
*/