/*
    Copyright (C) 2007 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    Last Modified: 2008-09-11
*/

Cannon shape#(1070) ()
{
   var Cannon = 1070;
   var Cannon_Ball = 1071;
   var Powder_Keg = 704;
   var click = UI_click_on_item();
   var dir = find_direction(click);
   var NORTH = 0;
   var NORTHEAST = 1;
   var EAST = 2;
   var SOUTHEAST = 3;
   var SOUTH = 4;
   var SOUTHWEST = 5;
   var WEST = 6;
   var NORTHWEST = 7;
   var Find_Keg = UI_find_nearby(item, Powder_Keg, 10, 0);
   var Find_Ball = UI_find_nearby(item, Cannon_Ball, 10, 0);

   UI_close_gumps();

   if (dir == NORTH)
      set_item_frame(0);
   else if (dir == EAST)
      set_item_frame(1);
   else if (dir == SOUTH)
      set_item_frame(2);
   else if (dir == WEST)
      set_item_frame(3);
   else if (dir == NORTHWEST)
      set_item_frame(4);
   else if (dir == NORTHEAST)
      set_item_frame(5);
   else if (dir == SOUTHEAST)
      set_item_frame(6);
   else if (dir == SOUTHWEST)
      set_item_frame(7);

   if ((!Find_Keg) && (!Find_Ball))
   {
      UI_item_say(PARTY, "@No powder or cannon ball!@");
      return;
   }
   if (!Find_Keg)
   {
      UI_item_say(PARTY, "@It needs powder!@");
      return;
   }
   if (!Find_Ball)
   {
      UI_item_say(PARTY, "@It needs a cannon ball!@");
      return;
   }
   if ((Find_Keg) && (Find_Ball))
   {
      UI_remove_item(Find_Keg);
      UI_remove_item(Find_Ball);
      UI_play_sound_effect(116);
      UI_fire_projectile(item, dir, Cannon_Ball, 30, Cannon, Cannon);
   }
}