/*
    Copyright (C) 2008 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    All of the functions except SpellScroll and Spellbook are heavily modified versions
    of the keyring class code and related functions written by Marzo Sette Torres Junior
    Last Modified: 2008-09-11
*/

Giant_Bones shape#(1126) ()
{
        var ammunition = 1040;
        var pos = get_object_position();
        var ammo_near = UI_find_nearby(item, ammunition, 5, 0);
        var quality = UI_get_item_quality(item);

	if (event != DOUBLECLICK || quality == UI_game_hour() || ammo_near)
                return;
        var create_ammo = UI_create_new_object2(ammunition, [(pos[X] + 2), pos[Y], 1]);
	UI_set_item_flag(create_ammo, TEMPORARY);
	UI_set_item_flag(create_ammo, OKAY_TO_TAKE);
	UI_set_item_quantity(create_ammo, UI_die_roll(1, 100));
	set_item_quality(UI_game_hour());
	return;
}