/*
    Copyright (C) 2007 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    I took some basic parts of the conversations from Wizardry Dragon
    Last Modified: 2008-09-11
*/

Dupre object#(0x4E9) ()
{
        var bark;
	var answers;
	var party = UI_get_party_list();
	var partysize = UI_get_array_size(party);      
//	if (event == PROXIMITY)
//		scheduleBarks(item);
        var training = get_npc_prop(TRAINING);
        if (get_npc_prop(EXPERIENCE) == 240)
                set_npc_prop(TRAINING, - training);


	if (event == DOUBLECLICK)
	{


		//Player message according to flags:
		if ((item in party)) bark = "@Can we speak, Dupre?@";
		else bark = "@Hail!@";

		//SI-style start of dialog, although the NPC does not move to the Avatar:
		UI_set_item_flag(AVATAR, DONT_MOVE);
                script AVATAR
		{
			//call trueFreeze;			
                        face AVATAR->find_direction(item);
			actor frame STAND;			say bark;
			wait 10;
		}
		
		//Dupre's response according to flags:
		if ((item in party)) bark = "@I am at thy command, Avatar@";
		else bark = "@Greetings.@";
		

		//SI-style start of dialog, although the NPC does not move to the Avatar:
		set_item_flag(DONT_MOVE);
                script item
		{
			//call trueFreeze;
                        wait 5;
			face find_direction(AVATAR);
			actor frame STAND;			say bark;
			wait 8;                                 call Dupre;
		}
	}
	else if (event == SCRIPTED)
	{
		//Unfreeze Avatar and Dupre:
		UI_clear_item_flag(AVATAR, DONT_MOVE);
                clear_item_flag(DONT_MOVE);

	var avatartitle;
	var avatarname;
	var party = UI_get_party_list();

	avatartitle = getPoliteTitle();
	avatarname = getAvatarName();

	if (!UI_get_item_flag(item, 28))
		DUPRE_FACE.say("@Greetings, travellers.@");
	else if (item in party)
		DUPRE_FACE.say("@I enjoy travelling with the party.@");

	if ((item in party))
	add("leave");

        add("join");
        converse (["name", "job", "bye"])
	{
           case "join" (remove):
           {
                if (partysize < 6)
                {
			DUPRE_FACE.say("@I would be honored, " + avatartitle + ".@");
			add_to_party();
			UI_set_schedule_type(DUPRE, 31);
			add("leave");
		}
		else
			DUPRE_FACE.say("@Twould appear, "+ avatartitle," that thou already hath more than enough travelling companions.@");
           }
	   case "leave" (remove):
           {
                DUPRE_FACE.say("Farewell, " + avatartitle + ". I will look forward to us traveling together again someday.@");
                remove_from_party();
                UI_set_schedule_type(DUPRE, 15);
                add("join");
	   }
	   case "bye":
                abort;
        }
        }
}