/*
    Copyright (C) 2007 Malignant Manor

    This file is part of SI BG Merge.

    SI BG Merge is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    SI BG Merge is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SI BG Merge.  If not, see <http://www.gnu.org/licenses/>.

    Author: Malignant Manor
    A lot of spells are heavily modified from code made by Marzo Sette Torres Junior
    and should be noted in the function itself if that is the case
    Last Modified: 2008-09-11
*/

//*** Linear Spells ***

Douse object#()()
{
        var click= UI_click_on_item();
	var get_shape_click= UI_get_item_shape(click);
        var dir = directionFromAvatar(click);
        var delay = get_distance(click);

	UI_item_say(item, "@An Flam@");
	if (!notInMagicStorm())
        {
        UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
        return;
        }
	script item
	{	nohalt;
	actor frame SWING_1;
        actor frame SWING_3;
        }

        if (get_shape_click == SHAPE_TORCH_LIT)
        {
        UI_set_to_attack(item, click, 540);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call SHAPE_TORCH_LIT, DOUBLECLICK;
        }
        }
        else if (get_shape_click == SHAPE_LIT_LAMP_SI)
        {
        UI_set_to_attack(item, click, 540);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call SHAPE_LIT_LAMP_SI, DOUBLECLICK;
        }
        }
        else if (get_shape_click == SHAPE_LIT_LAMP_BG)
        {
        UI_set_to_attack(item, click, 540);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call Lit_lamp_posts, DOUBLECLICK;
        }
        }
        else if (get_shape_click == SHAPE_SCONCE_LIT)
        {
        UI_set_to_attack(item, click, 540);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call SHAPE_SCONCE_LIT, DOUBLECLICK;
        }
        }
        else if (get_shape_click == SHAPE_LIGHTSOURCE_LIT)
        {
        UI_set_to_attack(item, click, 540);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call SHAPE_LIGHTSOURCE_LIT, DOUBLECLICK;
        }
        }
        else UI_execute_usecode_array(item, [0x55, 0x0606]);
        }
        
Fireworks object#()()
{
        //from Marzo
        item_say("@Bet Ort@");
        if (!notInMagicStorm())
        {
        UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
        return;
        }
        script item
	{	nohalt;
	actor frame SWING_1;
        actor frame SWING_3;
        }
        var pos = get_object_position();
	UI_sprite_effect(12, (pos[X] - 2), (pos[Y] - 2), 0, 0, 0, -1);
	}
	
Glimmer object#()()
{
        //from Marzo
        item_say("@Bet Lor@");
        if (!notInMagicStorm())
        {
        UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
        return;
        }
        script item
	{	nohalt;
	actor frame SWING_1;
        actor frame SWING_3;
        }
        UI_cause_light(110);
        }
        
Help object#()()
{
        //from Marzo
        UI_item_say(item, "@Kal Lor@");
        if (!notInMagicStorm())
        {
        UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
        return;
        }
        script item
			{	nohalt;
				sfx 64;						actor frame KNEEL;
				actor frame STAND;			actor frame CAST_1;}
        var pos = [0x03A8, 0x047A, 0, 1];
	PARTY->move_object(pos);
         }
         
Ignite object#()()
{

        var click= UI_click_on_item();
	var get_shape_click= UI_get_item_shape(click);
        var dir = directionFromAvatar(click);
        var delay = get_distance(click);

	UI_item_say(item, "@In Flam@");
	if (!notInMagicStorm())
        {
        UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
        return;
        }
	script item
	{	nohalt;
	actor frame SWING_1;
        actor frame SWING_3;
        }
        {
        if (get_shape_click == SHAPE_TORCH)
        {
        UI_set_to_attack(item, click, 280);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call SHAPE_TORCH, DOUBLECLICK;
        }
        }
        else if (get_shape_click == SHAPE_LAMP_SI)
        {
        UI_set_to_attack(item, click, 280);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call SHAPE_LAMP_SI, DOUBLECLICK;
        }
        }
        else if (get_shape_click == SHAPE_LAMP_BG)
        {
        UI_set_to_attack(item, click, 280);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call Lamp_posts, DOUBLECLICK;
        }
        }
        else if (get_shape_click == SHAPE_SCONCE)
        {
        UI_set_to_attack(item, click, 280);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call SHAPE_SCONCE, DOUBLECLICK;
        }
        }
        else if (get_shape_click == SHAPE_LIGHTSOURCE)
        {
        UI_set_to_attack(item, click, 280);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);
        script click
        {
        wait delay;
        call SHAPE_LIGHTSOURCE, DOUBLECLICK;
        }
        }
        else UI_execute_usecode_array(item, [0x55, 0x0606]);
        }
}

Thunder object#()()
{
    if (event == DOUBLECLICK)
    {
         item_say("@Vas Kal@");
         if (!notInMagicStorm())
         {
         UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
         return;
         }
         else
         script item
	     {	nohalt;
	        actor frame SWING_1;
                actor frame SWING_3;
                wait 1;
                call Thunder, SCRIPTED;
             }
    }
    else if (event == SCRIPTED)
    {
         UI_play_sound_effect(116);
    }
     /*
             UI_lightning();
             script item
	     {	nohalt;
	        actor frame SWING_1;
                actor frame SWING_3;
                wait 2;
                call Thunder, SCRIPTED;
             }
    }
    else if (event == SCRIPTED)
    {
         UI_set_weather(0);
    }
    */
}

Weather object#()()
{
        //from Marzo
        item_say("@Rel Hur@");
        if (!notInMagicStorm())
        {
            UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
            return;
        }
        script item
	{	nohalt;
	        actor frame SWING_1;
                actor frame SWING_3;
        }
        var weather_array = [0, 1, 2];
			if (UI_get_weather() == 0)
				UI_set_weather(weather_array[UI_die_roll(2, 3)]);
			else if (UI_get_weather() != 3)
				UI_set_weather(0);
}

//*** First Circle ***

greatDouseIgnite object#()()  //From Marzo ~~ used with Great Ignite and Great Douse
{
        var shapes;
	var dist = 25;
	for (obj in shapes)
	{
		//For each shape # in the array,
		//Find all nearby objects with that shape...
		var lsources = find_nearby(obj, dist, 0x00);
		for (lightsource in lsources)
		{
			//For each object in the array,
			//calculate a delay based on distance:
			var delay = ((get_distance(lightsource) / 3) + 2);
			//Call the obj's usecode function after delay ticks:
			script lightsource after delay ticks
			{	nohalt;
                                call lightsource->get_usecode_fun(), DOUBLECLICK;
                        }
		}
	}
}

GreatDouse object#()() //From Marzo
{
        var dousables;
	if (event == DOUBLECLICK)
	{
		halt_scheduled();
		item_say("@Vas An Flam@");
		if (notInMagicStorm())
		{
			script item
			{	nohalt;
                                actor frame SWING_2;
				actor frame SWING_1;
                                actor frame SWING_3;
                        }
                        var dousables = [SHAPE_TORCH_LIT, SHAPE_LIT_LAMP_SI, SHAPE_LIGHTSOURCE_LIT, SHAPE_SCONCE_LIT, SHAPE_LIT_LAMP_BG];
                        dousables->greatDouseIgnite();  //greatDouseIgnite(dousables);
		}
		else
		{
			script item
			{	nohalt;
                                actor frame SWING_2;
				actor frame SWING_1;
                                actor frame SWING_3;
				call 606;
                        }
		}
	}
}

GreatIgnite object#()() //From Marzo
{
        var ignitables;
	if (event == DOUBLECLICK)
	{
		halt_scheduled();
		item_say("@Vas In Flam@");
		if (notInMagicStorm())
		{
			script item
			{	nohalt;
                                actor frame SWING_2;
				actor frame SWING_1;
                                actor frame SWING_3;
                        }
                        var ignitables = [SHAPE_TORCH, SHAPE_LAMP_SI, SHAPE_LIGHTSOURCE, SHAPE_SCONCE, SHAPE_LAMP_BG];
                        ignitables->greatDouseIgnite();  //greatDouseIgnite(ignitables);
		}
		else
		{
			script item
			{	nohalt;
                                actor frame SWING_2;
				actor frame SWING_1;
                                actor frame SWING_3;
				call 606;
                        }
		}
	}
}

extern var Func097E 0x97E (var var0000);

Locate object#()()
{


        var answerEW;
        var answerNS;
        var answer2EW;
        var answer2NS;
        var position = UI_get_object_position(AVATAR);

        answerEW = ((position[1] - 0x03A5) / 10);
	answerNS = ((position[2] - 0x046E) / 10);
	
	item_say("@In Wis@");
        if (!notInMagicStorm())
        {
        UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
        return;
        }
	if (!(answerEW < 0)) goto labelFunc028A_0052;
	answer2EW = ((" " + Func097E(answerEW)) + " West");
	goto labelFunc028A_0063;
	labelFunc028A_0052:
		answer2EW = ((" " + Func097E(answerEW)) + " East");
	labelFunc028A_0063:
		if (!(answerNS < 0)) goto labelFunc028A_0081;
		answer2NS = ((" " + Func097E(answerNS)) + " North");
		goto labelFunc028A_0092;
	labelFunc028A_0081:
		answer2NS = ((" " + Func097E(answerNS)) + " South");
	labelFunc028A_0092:

		UI_item_say(item, (answer2NS + answer2EW));
		return;
}

//*** Second Circle ***

Fire_blast object#()()
{
        var var0000;
	var var0001;
	var var0002;
	var var0003;
	var var0004;

	if (!((event == 1) || (event == 4))) goto labelFunc064B_0082;
	UI_halt_scheduled(item);
	var0000 = UI_click_on_item();
	var0001 = directionFromAvatar(var0000);
	UI_item_say(item, "@Vas Flam@");
	if (!notInMagicStorm()) goto labelFunc064B_0065;
	var0002 = UI_set_to_attack(item, var0000, 0x0358);
	var0003 = UI_execute_usecode_array(item, [0x23, 0x59, var0001, 0x58, 0x0014, 0x6F, 0x70, 0x6A, 0x6A, 0x7A, 0x61]);
	goto labelFunc064B_0082;
	labelFunc064B_0065:
		var0003 = UI_execute_usecode_array(item, [0x23, 0x59, var0001, 0x6F, 0x70, 0x6A, 0x55, 0x0606]);
	labelFunc064B_0082:
		return;
}

WizardEye object#()()
//from Marzo
{
	if (event == DOUBLECLICK)
	{
		item_say("@Por Ort Wis@");
		if (notInMagicStorm())
		{
			script item
			{	nohalt;
                                actor frame CAST_1;
				sfx 67;
                                actor frame CAST_2;
				actor frame CAST_1;
                                actor frame SWING_2H_3;
				call WizardEye;
                        }
		}
		else
		{
			script item
			{	nohalt;
                                actor frame CAST_1;
				actor frame CAST_2;
                                actor frame CAST_1;
				actor frame SWING_2H_3;
                                }
			UI_execute_usecode_array(item, [0x55, 0x0606]);
		}
	}

	else if (event == SCRIPTED)
		UI_wizard_eye(20);
}

//*** Third Circle ***

Peer object#()()
{
	UI_item_say(item, "@Vas Wis@");
	if (!notInMagicStorm())
	{
             UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
             return;
        }
	if (get_map_num() == 0)
             UI_display_map_ex(22, true);
	else if (get_map_num() == 1)
             UI_display_map_ex(62, true);
        else
             UI_display_map_ex(62, false);
}

Poison object#()()
{

	if (!(event == DOUBLECLICK))
              return;
        else
	var click = UI_click_on_item();
	var dir = directionFromAvatar(click);
	UI_item_say(item, "@In Nox@");
        if (!notInMagicStorm())
        {
            UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
            return;
        }
	UI_set_to_attack(item, click, 424);
	UI_execute_usecode_array(item, [0x59, dir, 0x58, 0x006E, 0x65, 0x67, 0x67, 0x7A, 0x61]);

}

Swarm object#()()
{

	var var0001;

	if (!(event == DOUBLECLICK)) goto labelFunc065A_004F;
	UI_halt_scheduled(item);
	UI_item_say(item, "@Kal Bet Xen@");
	if (!notInMagicStorm()) goto labelFunc065A_0039;
	script item
	{
	call &Swarm;
	}
        goto labelFunc065A_004F;
	labelFunc065A_0039:
	UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
	labelFunc065A_004F:
		if (!(event == SCRIPTED)) goto labelFunc065A_008C;
		var0001 = UI_die_roll(7, 10);
	labelFunc065A_0064:
		if (!(var0001 > 0)) goto labelFunc065A_008C;
		var0001 = (var0001 - 1);
		UI_summon(517, false);
		goto labelFunc065A_0064;
	labelFunc065A_008C:
		return;
}

//*** Fourth Circle ***

Mark object#()()
{
        var var0000;
	var var0001;
	var var0002;
	var var0003;

	if (!(event == 1)) goto labelFunc0662_00B0;
	UI_halt_scheduled(item);
	var0000 = UI_click_on_item();
	if (!(!(UI_get_item_shape(var0000) == 1316))) goto labelFunc0662_0026;
	goto labelFunc0662_009A;
	labelFunc0662_0026:
		if (!UI_get_barge(AVATAR)) goto labelFunc0662_0033;
		goto labelFunc0662_009A;
	labelFunc0662_0033:
		UI_item_say(item, "@Kal Por Ylem@");
		if (!notInMagicStorm()) goto labelFunc0662_009A;
		var0001 = UI_execute_usecode_array(var0000, [0x23, 0x55, 0x0612]);
		var0002 = UI_execute_usecode_array(item, [0x58, 0x0043, 0x6F, 0x70, 0x6A]);
		var0001 = UI_get_object_position(item);
		UI_sprite_effect(0x000D, var0001[1], var0001[2], 0, 0, 0, -1);
		save_pos();
		UI_set_item_quality(var0000, 1);
                goto labelFunc0662_00B0;
	labelFunc0662_009A:
		var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
	labelFunc0662_00B0:
		return;
}

Recall object#()()
{
        var var0000;
	var var0001;
	var var0002;
	var var0003;

	if (!(event == 1)) goto labelFunc0664_00B0;
	UI_halt_scheduled(item);
	var0000 = UI_click_on_item();
	var0001 = UI_get_object_position(item);
	UI_item_say(item, "@Kal Ort Por@");
	if (!notInMagicStorm()) goto labelFunc0664_009A;
	if (!(UI_get_item_shape(var0000) == 1316)) goto labelFunc0664_009A;
	if (UI_get_item_quality(var0000) == 1)
	{
              var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A]);
	      var0002 = UI_delayed_execute_usecode_array(var0000, [0x23, 0x55, 0x0613], 6);
	      UI_sprite_effect(0x0007, var0000[2], var0000[3], 0, 0, 0, -1);
	      UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	      UI_teleport_to_saved_pos(AVATAR);
	      UI_add_cont_items(AVATAR, 1, 1316, UI_get_item_quality(var0000), UI_get_item_frame(var0000));
	      UI_remove_item(var0000);
	}
	else  if ((UI_get_item_quality(var0000) == 0) && (UI_get_item_frame(var0000) == 0))
	{
              var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A]);
	      var0002 = UI_delayed_execute_usecode_array(var0000, [0x23, 0x55, 0x0613], 6);
	      UI_sprite_effect(0x0007, var0000[2], var0000[3], 0, 0, 0, -1);
	      UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	      UI_add_cont_items(AVATAR, 1, 1316, UI_get_item_quality(var0000), UI_get_item_frame(var0000));
	      UI_remove_item(var0000);
	      PARTY->move_object([1447, 1386, 3, 1]);
	}
	else  if ((UI_get_item_quality(var0000) == 0) && (UI_get_item_frame(var0000) == 1))
	{
              var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A]);
	      var0002 = UI_delayed_execute_usecode_array(var0000, [0x23, 0x55, 0x0613], 6);
	      UI_sprite_effect(0x0007, var0000[2], var0000[3], 0, 0, 0, -1);
	      UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	      UI_add_cont_items(AVATAR, 1, 1316, UI_get_item_quality(var0000), UI_get_item_frame(var0000));
	      UI_remove_item(var0000);
	      PARTY->move_object([488, 2698, 0, 1]);
	}
	else  if ((UI_get_item_quality(var0000) == 0) && (UI_get_item_frame(var0000) == 2))
	{
              var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A]);
	      var0002 = UI_delayed_execute_usecode_array(var0000, [0x23, 0x55, 0x0613], 6);
	      UI_sprite_effect(0x0007, var0000[2], var0000[3], 0, 0, 0, -1);
	      UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	      UI_add_cont_items(AVATAR, 1, 1316, UI_get_item_quality(var0000), UI_get_item_frame(var0000));
	      UI_remove_item(var0000);
	      PARTY->move_object([2680, 1162, 0, 1]);
	}
	else  if ((UI_get_item_quality(var0000) == 0) && (UI_get_item_frame(var0000) == 3))
	{
              var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A]);
	      var0002 = UI_delayed_execute_usecode_array(var0000, [0x23, 0x55, 0x0613], 6);
	      UI_sprite_effect(0x0007, var0000[2], var0000[3], 0, 0, 0, -1);
	      UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	      UI_add_cont_items(AVATAR, 1, 1316, UI_get_item_quality(var0000), UI_get_item_frame(var0000));
	      UI_remove_item(var0000);
	      PARTY->move_object([2327, 970, 3, 1]);
	}
	else  if ((UI_get_item_quality(var0000) == 0) && (UI_get_item_frame(var0000) == 4))
	{
              var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A]);
	      var0002 = UI_delayed_execute_usecode_array(var0000, [0x23, 0x55, 0x0613], 6);
	      UI_sprite_effect(0x0007, var0000[2], var0000[3], 0, 0, 0, -1);
	      UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	      UI_add_cont_items(AVATAR, 1, 1316, UI_get_item_quality(var0000), UI_get_item_frame(var0000));
	      UI_remove_item(var0000);
	      PARTY->move_object([728, 122, 0, 1]);
	}
	else  if ((UI_get_item_quality(var0000) == 0) && (UI_get_item_frame(var0000) == 5))
	{
              var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A]);
	      var0002 = UI_delayed_execute_usecode_array(var0000, [0x23, 0x55, 0x0613], 6);
	      UI_sprite_effect(0x0007, var0000[2], var0000[3], 0, 0, 0, -1);
	      UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	      UI_add_cont_items(AVATAR, 1, 1316, UI_get_item_quality(var0000), UI_get_item_frame(var0000));
	      UI_remove_item(var0000);
	      PARTY->move_object([839, 2554, 0, 1]);
	}
	else  if ((UI_get_item_quality(var0000) == 0) && (UI_get_item_frame(var0000) == 6))
	{
              var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A]);
	      var0002 = UI_delayed_execute_usecode_array(var0000, [0x23, 0x55, 0x0613], 6);
	      UI_sprite_effect(0x0007, var0000[2], var0000[3], 0, 0, 0, -1);
	      UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	      UI_add_cont_items(AVATAR, 1, 1316, UI_get_item_quality(var0000), UI_get_item_frame(var0000));
	      UI_remove_item(var0000);
	      PARTY->move_object([936, 1173, 0, 1]);
	}
	else  if ((UI_get_item_quality(var0000) == 0) && (UI_get_item_frame(var0000) == 7))
	{
              var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A]);
	      var0002 = UI_delayed_execute_usecode_array(var0000, [0x23, 0x55, 0x0613], 6);
	      UI_sprite_effect(0x0007, var0000[2], var0000[3], 0, 0, 0, -1);
	      UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	      UI_add_cont_items(AVATAR, 1, 1316, UI_get_item_quality(var0000), UI_get_item_frame(var0000));
	      UI_remove_item(var0000);
	      PARTY->move_object([825, 1443, 0, 1]);
	}
	goto labelFunc0664_00B0;
	labelFunc0664_009A:
		var0002 = UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
	labelFunc0664_00B0:
		return;
}

Seance object#()()  //From Marzo only slightly modified
{
	if (event == DOUBLECLICK)
	{
		halt_scheduled();
		item_say("@Kal Wis Corp@");
		if (notInMagicStorm())
		{
			script item
			{	nohalt;
                                sfx 67;
				actor frame SWING_2;
                                actor frame SWING_1;
				actor frame SWING_3;
                        }
				
			var pos = get_object_position();
			var sprite_x = (pos[X] - 2);
			var sprite_y = (pos[Y] - 2);
			UI_sprite_effect(13, sprite_x, sprite_y, 0, 0, 0, -1);
			UI_sprite_effect(7, sprite_x, sprite_y, 0, 0, 0, -1);
			gflags[SeanceCast] = true;
                        /*
			var hour = UI_game_hour();
			var minutes = UI_game_minute();
			var delay;
			
			if (hour < 6)
			{
				delay = ((6 - hour) * 60);
				delay = (delay + (60 - minutes));
				delay = (delay * 25);
			}
			else
			{
				delay = ((23 - hour) * 60);
				delay = (delay + (60 - minutes));
				delay = (delay * 25);
			}
			
			script item after delay ticks
			{	nohalt;
                                finish;
				call Seance;
                        }
                        */
		}
		else
		{
			script item
			{	nohalt;
                                actor frame SWING_2;
				actor frame SWING_1;
                                actor frame SWING_3;
				call 0x606;
                        }
		}
	}
	
	else if (event == SCRIPTED)
	{
		gflags[SeanceCast] = false;
	}
}

//*** Fifth Circle ***

Dance object#()() //from Marzo
{
	var nearbynpcs;
	var party;
	var index;
	var max;
	var npc;
	var barks;

	if (event == DOUBLECLICK)
	{
		halt_scheduled();
		item_say("@Vas An Xen Ex@");
		if (notInMagicStorm())
		{
			script item
			{	nohalt;
                                actor frame SWING_2H_3;
				actor frame SWING_3;
                                actor frame SWING_2H_2;
				sfx 20;
                                wait 5;
				call Dance;
                        }
			nearbynpcs = find_nearby(SHAPE_ANY, 25, 8);
			party = UI_get_party_list();
			for (npc in nearbynpcs with index to max)
			{
				if (!(npc in party))
				{
					script npc
					{	nohalt;
                                                call Dance;
                                        }
				}
			}
		}
		else
		{
			script item
			{	nohalt;
                                actor frame SWING_2H_3;
				actor frame SWING_3;
                                actor frame SWING_2H_2;
				call 0x606;
                        }
		}
	}
	else if (event == SCRIPTED)
	{
		if (item == AVATAR->get_npc_object())
		{
                item_say("@Everybody dance now!@");
		}
		else
		{
			        var intelligence = get_npc_prop(INTELLIGENCE);
			        if ((intelligence > 5) && (intelligence < 25))
				{
                                   halt_scheduled();
				   set_item_flag(DONT_MOVE);
		                   if (UI_die_roll(1, 7) == 1)
		                      barks = "@Dance!@";
		                   else if (UI_die_roll(1, 7) == 2)
                                      barks = "@Yeah!@";
                                   else if (UI_die_roll(1, 7) == 3)
                                      barks = "@Huh!@";
                                   else if (UI_die_roll(1, 7) == 4)
                                      barks = "@Oh, yeah!@";
                                   else if (UI_die_roll(1, 7) == 5)
                                      barks = "@I'm bad!@";
                                   else if (UI_die_roll(1, 7) == 6)
                                      barks = "@Boogie!@";
                                   else if (UI_die_roll(1, 7) == 7)
                                      barks = "@Yow!@";
                                   item_say(barks);
                                   script item
                                   { 
                                          nohalt;
                                          frame 14;
                                          wait 1;
                                          frame 15;
                                          wait 1;
                                          frame 30;
                                          wait 1;
                                          frame 31;
                                          wait 1;
                                          frame 14;
                                          wait 1;
                                          frame 15;
                                          wait 1;
                                          frame 30;
                                          wait 1;
                                          frame 31;
                                          wait 1;
                                          frame 0;
                                          call Dance, 255;
                                   }
			         }
		}
	}
	else if (event == 255)
	{
	      clear_item_flag(DONT_MOVE);
	}
}


Explosion object#()()
{
        var var0000;
	var var0001;
	var var0002;
	var var0003;

	if (!((event == 1) || (event == 4))) goto labelFunc0662_0082;
	var0000 = UI_click_on_item();
	UI_halt_scheduled(item);
	var0001 = directionFromAvatar(var0000);
	UI_item_say(item, "@Vas Flam Hur@");
	if (!notInMagicStorm()) goto labelFunc0662_0065;
	var0002 = UI_set_to_attack(item, var0000, 0x0020);
	var0002 = UI_execute_usecode_array(item, [0x23, 0x59, var0001, 0x58, 0x0014, 0x6F, 0x70, 0x67, 0x67, 0x7A, 0x61]);
	goto labelFunc0662_0082;
	labelFunc0662_0065:
		var0002 = UI_execute_usecode_array(item, [0x23, 0x59, var0001, 0x6F, 0x70, 0x67, 0x55, 0x0606]);
	labelFunc0662_0082:
		return;
}

Fire_Field object#()()
{
        var var0000;
	var var0001;
	var var0002;
	var var0003;
	var var0004;
	var var0005;
	var var0006;
	var var0007;
	var var0008;
	var var0009;
	var var000A;

	if (!(event == 1)) goto labelFunc066B_00E6;
	var0000 = UI_click_on_item();
	var0001 = directionFromAvatar(var0000);
	UI_halt_scheduled(item);
	UI_item_say(item, "@In Flam Grav@");
	if (!notInMagicStorm()) goto labelFunc066B_00C9;
	var0002 = UI_execute_usecode_array(item, [0x23, 0x58, 0x0014, 0x59, var0001, 0x65, 0x66, 0x67]);
	var0003 = UI_create_new_object(895);
	if (!var0003) goto labelFunc066B_00C6;
	var0004 = (var0000[2] + 1);
	var0005 = (var0000[3] + 1);
	var0006 = var0000[4];
	var0007 = [var0004, var0005, var0006];
	var0008 = UI_update_last_created(var0007);
	if (!var0008) goto labelFunc066B_00C6;
	var0009 = 0x0064;
	var0008 = UI_set_item_quality(var0003, var0009);
	UI_set_item_flag(var0003, 0x0012);
	var0008 = UI_delayed_execute_usecode_array(var0003, 0x2D, var0009);
	labelFunc066B_00C6:
		goto labelFunc066B_00E6;
	labelFunc066B_00C9:
		var0002 = UI_execute_usecode_array(item, [0x23, 0x59, var0001, 0x65, 0x66, 0x67, 0x55, 0x0606]);
	labelFunc066B_00E6:
		return;
}

//*** Sixth Circle ***

Clone object#()()
{
	var target = UI_click_on_item();
	UI_halt_scheduled(item);
	UI_item_say(item, "@In Quas Xen@");
        if ((UI_is_npc(target) == true) && (UI_get_item_flag(target, 27) != -1))
        {
                UI_execute_usecode_array(item, [0x23, 0x6F, 0x58, 0x0014, 0x70, 0x6F, 0x6A]);
                UI_clone(target);
	}
        else
	        UI_execute_usecode_array(item, [0x65, 0x70, 0x6A, 0x55, 0x0606]);
}

HaltStorm object#()()  //*** Magic Storm & Energy_Mist function
{
	UI_set_weather(0);
	return;
}

LightningStrike object#()() //*** Magic Storm function
{
        var pos = UI_get_object_position(item);
	UI_sprite_effect(0x0011, pos[1], pos[2], 0, 0, 0, 1);
	UI_play_sound_effect(0x003E);
	UI_lightning();
	UI_apply_damage(UI_get_npc_prop(item, STRENGTH), 16, 3, item);
}

MagicStorm object#()() //From Marzo
{
	var npc;
	var delay;
        var party = UI_get_party_list();
	
        if (event == 255)
        {
                UI_set_weather(2);
                UI_set_weather(2);
                UI_set_weather(2);
		UI_delayed_execute_usecode_array(item, [0x23, 0x55, HaltStorm], 80);
        }
        else if (event == DOUBLECLICK)
	{
                halt_scheduled();
		item_say("@Vas Ort Hur@");
		if (notInMagicStorm())
		{
			script item
			{	nohalt;
                                actor frame SWING_2H_3;
				actor frame SWING_3;
                                actor frame SWING_2H_2;
				sfx 20;
				call MagicStorm, 255;
                        }
			var nearbynpcs = find_nearby(SHAPE_ANY, 30, 8);

			for (npc in nearbynpcs)
			{
				if (!(npc in party))
				{
					script npc
					{	nohalt;
					        wait 25;
                                                call MagicStorm, SCRIPTED;
                                        }
				}
			}
		}
		else
		{
			script item
			{	nohalt;
                                actor frame SWING_2H_3;
				actor frame SWING_3;
                                actor frame SWING_2H_2;
				call 0x606;
                        }
		}
	}
	else if (event == SCRIPTED)
	{
		halt_scheduled();
                if (UI_die_roll(1, 5) == 1)
                        delay = 18;
                else if (UI_die_roll(1, 5) == 2)
                        delay = 30;
                else if (UI_die_roll(1, 5) == 3)
                        delay = 48;
                else if (UI_die_roll(1, 5) == 4)
                        delay = 60;
                else if (UI_die_roll(1, 5) == 5)
                        delay = 72;
                script item
                {
                        nohalt;
                        wait delay;
                        call LightningStrike;
                }
                if (UI_get_random(2) == 1)
                {
                        script item
                        {
                                nohalt;
                                wait delay/2;
                                call LightningStrike;
                        }
                }
                if (UI_get_random(2) == 1)
                {
                        script item
                        {
                                nohalt;
                                wait delay/3;
                                call LightningStrike;
                        }
                }
	}
}


/*
LightningStrike object#() () //*** Magic Storm function
{
	var var0000;
        var var0001;
	var var0002;

	var0000 = UI_get_object_position(item);
	UI_sprite_effect(0x0011, var0000[1], var0000[2], 0, 0, 0, 1);
	UI_play_sound_effect(0x003E);
	UI_lightning();
	var0001 = UI_apply_damage(UI_get_npc_prop(item, 0), 0x000C, 3, item);
        return;
}


MagicStorm object#() ()
{
	var nearbynpcs;
	var party;
	var index;
	var max;
	var npc;
	var delay;
	var rand;
	
	if (event == DOUBLECLICK)
	{
		halt_scheduled();
		item_say("@Vas Ort Hur@");
		if (notInMagicStorm())
		{
			script item
			{	nohalt;
                                actor frame SWING_2H_3;
				actor frame SWING_3;
                                actor frame SWING_2H_2;
				sfx 20;
                                wait 5;
				call MagicStorm;
                        }
			nearbynpcs = find_nearby(SHAPE_ANY, 30, 8);
			party = UI_get_party_list();
			for (npc in nearbynpcs with index to max)
			{
				if (!(npc in party))
				{
					script npc
					{	nohalt;
                                                call MagicStorm;
                                        }
				}
			}
		}
		else
		{
			script item
			{	nohalt;
                                actor frame SWING_2H_3;
				actor frame SWING_3;
                                actor frame SWING_2H_2;
				call 0x606;
                        }
		}
	}
	else if (event == SCRIPTED)
	{
		if (item == AVATAR->get_npc_object())
		{
                       UI_set_weather(2);
		       UI_delayed_execute_usecode_array(item, [0x23, 0x55, HaltStorm], 0x0046);
		}
		else
		{
                                if (UI_die_roll(1, 5) == 1)
                                   delay = 16;
                                else if (UI_die_roll(1, 5) == 2)
                                   delay = 26;
                                else if (UI_die_roll(1, 5) == 3)
                                   delay = 36;
                                else if (UI_die_roll(1, 5) == 4)
                                   delay = 46;
                                else if (UI_die_roll(1, 5) == 5)
                                   delay = 56;
				halt_scheduled();
                                script item
                                {
                                   nohalt;
                                   wait delay;
                                   call LightningStrike;
                                }
                                if (UI_get_random(2) == 1)
                                {
                                   script item
                                   {
                                      nohalt;
                                      wait delay/2;
                                      call LightningStrike;
                                   }
                                }
		}

	}
}
*/



Poison_field object#()()
{
        var var0000;
	var var0001;
	var var0002;
	var var0003;
	var var0004;
	var var0005;
	var var0006;
	var var0007;
	var var0008;
	var var0009;

	if (!(event == 1)) goto labelFunc0676_00BA;
	var0000 = UI_click_on_item();
	UI_halt_scheduled(item);
	var0001 = directionFromAvatar(var0000);
	UI_item_say(item, "@In Nox Grav@");
	if (!notInMagicStorm()) goto labelFunc0676_009F;
	//var0002 = UI_execute_usecode_array(item, [0x58, 0x0041, 0x59, var0001, 0x65, 0x66, 0x67]);
	UI_execute_usecode_array(item, [0x23, 0x6F, 0x58, 0x0040, 0x70, 0x6F, 0x6A, 0x55, 0x0673]);
	UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	var0003 = (var0000[2] + 1);
	var0004 = (var0000[3] + 1);
	var0005 = var0000[4];
	var0006 = [var0003, var0004, var0005];
	var0007 = UI_create_new_object(900);
	if (!var0007) goto labelFunc0676_009C;
	UI_set_item_flag(var0007, 0x0012);
	var0008 = UI_update_last_created(var0006);
	labelFunc0676_009C:
		goto labelFunc0676_00BA;
	labelFunc0676_009F:
		var0002 = UI_execute_usecode_array(item, [0x59, var0001, 0x65, 0x66, 0x67, 0x55, 0x0606]);
	labelFunc0676_00BA:
		return;
}

Sleep_field object#()()
{
        var var0000;
	var var0001;
	var var0002;
	var var0003;
	var var0004;
	var var0005;
	var var0006;
	var var0007;
	var var0008;
	var var0009;

	if (!(event == 1)) goto labelFunc0676_00BA;
	var0000 = UI_click_on_item();
	UI_halt_scheduled(item);
	var0001 = directionFromAvatar(var0000);
	UI_item_say(item, "@In Zu Grav@");
	if (!notInMagicStorm()) goto labelFunc0676_009F;
	UI_execute_usecode_array(item, [0x23, 0x6F, 0x58, 0x0040, 0x70, 0x6F, 0x6A, 0x55, 0x0673]);
	UI_obj_sprite_effect(item, 0x0007, -2, -2, 0, 0, 0, -1);
	var0003 = (var0000[2] + 1);
	var0004 = (var0000[3] + 1);
	var0005 = var0000[4];
	var0006 = [var0003, var0004, var0005];
	var0007 = UI_create_new_object(902);
	if (!var0007) goto labelFunc0676_009C;
	UI_set_item_flag(var0007, 0x0012);
	var0008 = UI_update_last_created(var0006);
	labelFunc0676_009C:
		goto labelFunc0676_00BA;
	labelFunc0676_009F:
		var0002 = UI_execute_usecode_array(item, [0x59, var0001, 0x65, 0x66, 0x67, 0x55, 0x0606]);
	labelFunc0676_00BA:
		return;
}

Tremor object#()()
{
   var nearbynpcs;
   var party;
   var index;
   var max;
   var npc;
   if (event == DOUBLECLICK)
   {
        UI_halt_scheduled(item);
	UI_item_say(item, "@Vas Por Ylem@");
	if (notInMagicStorm())
	{
	     UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x58, 0x0041, 0x55, 0x065A]);
	     UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x58, 0x0041, 0x55, 0x065A]);
	     UI_earthquake(77);
	     nearbynpcs = find_nearby(SHAPE_ANY, 25, 8);
	     party = UI_get_party_list();
	     for (npc in nearbynpcs with index to max)
	     {
		   if (!(npc in party))
		   {
                         UI_set_item_flag(npc, DONT_MOVE);
                         script npc after 40 ticks
			 {
                               nohalt;
                               call Tremor, SCRIPTED;
                         }
		   }
	     }
	}
	else
	     UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
    }
    else if (event == SCRIPTED)
	{
             if (item == AVATAR->get_npc_object())
	     {
	     }
	     else
	     {
                /*script npc
	        {
                    wait 74;
	        }    */
	        clear_item_flag(DONT_MOVE);
	     }
	}
}

//*** Seventh Circle ***

Create_gold object#()()
{
if (event == DOUBLECLICK)
	{
		halt_scheduled();
		var target = UI_click_on_item();
		var dir = direction_from(target);
		item_say("@Rel Ylem@");
		if (!notInMagicStorm())
		{
                       UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
                       return;
                }
		if (target->get_item_shape() == 1083)
		{
		   script item
		   {
                       nohalt;
                       face dir;
		       sfx 66;
                       actor frame SWING_1;
		       actor frame SWING_3;
                   }
		   var pos = target->get_object_position();
		   UI_sprite_effect(13, pos[X], pos[Y], 0, 0, 0, -1);
		   script target after 5 ticks
		   {
                       nohalt;
                   }
		   var quant = get_item_quantity();

		   UI_set_item_shape(target, 0x0285);
		   UI_create_new_object2(0x0285,UI_get_object_position(target));
		   UI_create_new_object2(0x0285,UI_get_object_position(target));
		   UI_create_new_object2(0x0285,UI_get_object_position(target));
		   UI_create_new_object2(0x0285,UI_get_object_position(target));
		   UI_create_new_object2(0x0285,UI_get_object_position(target));
		   UI_create_new_object2(0x0285,UI_get_object_position(target));
		   UI_create_new_object2(0x0285,UI_get_object_position(target));
		   UI_create_new_object2(0x0285,UI_get_object_position(target));
                   UI_create_new_object2(0x0285,UI_get_object_position(target));
		}
		else
		{
		     script item
		     {
                            nohalt;
                            face dir;
		            actor frame SWING_1;
                            actor frame SWING_3;
		     }
		     UI_execute_usecode_array(item, [0x55, 0x0606]);
		}
         }
}

extern Func0982 0x982 (var var0000, var var0001);

Deathbolt object#()()
{
        UI_halt_scheduled(item);
	var target = UI_click_on_item();
	var direction = directionFromAvatar(target);
	UI_item_say(item, "@Corp Por@");
	UI_set_to_attack(item, target, 527);
	if (UI_is_npc(target))
	        UI_execute_usecode_array(item, [0x59, direction, 0x6F, 0x58, 0x0041, 0x70, 0x6F, 0x6A, 0x7A]);
        else
		UI_execute_usecode_array(item, [0x59, direction, 0x6F, 0x70, 0x6F, 0x6A, 0x55, 0x0606]);
	return;
}
/*
const int ENERGYFIELD = 1370;

Energy_Field ()
{
	if (event != DOUBLECLICK)
	      return;
        UI_halt_scheduled(item);
	var target = UI_click_on_item();
	UI_item_say(item, "@In Sanct Grav@");
	var location = [target[2] + 1, target[3] + 1, target[4]];
        if (!(notInMagicStorm() && UI_is_not_blocked(location, ENERGYFIELD, 0)))
        {
	     UI_execute_usecode_array(item, [0x23, 0x65, 0x66, 0x67, 0x55, 0x0606]);
	     return;
	}
        UI_execute_usecode_array(item, [0x23, 0x65, 0x66, 0x67]);
	var created = UI_create_new_object(ENERGYFIELD);
	UI_update_last_created(location);
	UI_set_item_flag(created, 0x0012);
	UI_set_item_quality(created, 0x00C8);
	UI_delayed_execute_usecode_array(created, 0x2D, 0x00C8);
        return;
}
*/
Energy_Mist object#()()
{
	if (event == DOUBLECLICK)
	{
	    UI_halt_scheduled(item);
	    var click = UI_click_on_item();
	    var direction = directionFromAvatar(click);
	    UI_item_say(item, "@In Hur Grav Ylem@");
	    if (notInMagicStorm())
	    {
               UI_set_to_attack(item, click, 1348);
               UI_set_weather(4);
               UI_execute_usecode_array(item, [0x23, 0x59, direction, 0x58, 0x0014, 0x6F, 0x70, 0x6F, 0x6A, 0x7A]);
	       script item after 60 ticks
	       {
	              call HaltStorm;
	       }
	    }
	    else
               UI_execute_usecode_array(item, [0x23, 0x59, direction, 0x6F, 0x70, 0x6F, 0x6A, 0x55, 0x0606]);
	}
	return;
}

MassCharm object#()()
{
	var nearbynpcs;
	var party;
	var index;
	var max;
	var npc;
	var delay;
	var rand;
	
	if (event == DOUBLECLICK)
	{
		halt_scheduled();
		item_say("@Vas An Xen Ex@");
		if (notInMagicStorm())
		{
			script item
			{	nohalt;
                                actor frame SWING_2H_3;
				actor frame SWING_3;
                                actor frame SWING_2H_2;
				sfx 20;
                                wait 5;
				call MassCharm;
                        }
			nearbynpcs = find_nearby(SHAPE_ANY, 30, 8);
			party = UI_get_party_list();
			for (npc in nearbynpcs with index to max)
			{
				if (!(npc in party))
				{     
					script npc
					{	nohalt;
                                                call MassCharm;
                                        }
				}
			}
		}
		else
		{
			script item
			{	nohalt;
                                actor frame SWING_2H_3;
				actor frame SWING_3;
                                actor frame SWING_2H_2;
				call 0x606;
                        }
		}
	}
	else if (event == SCRIPTED)
	{
		if (item == AVATAR->get_npc_object())
		{
		}
		else
		{
			rand = UI_get_random(2);
			if (rand == 1)
			{
				halt_scheduled();
				set_item_flag(CHARMED);
			}
			else if (rand == 2)
			{
			}
		}
	}
}

//*** Eighth Circle ***

Armageddon object#()()
{
        var position = UI_get_object_position(item);
	
	if (!(event == DOUBLECLICK)) goto labelFunc0680_00AB;
	UI_halt_scheduled(item);
	UI_item_say(item, "@Vas Kal An Mani@");
	if (!notInMagicStorm()) goto labelFunc0680_0087;
	UI_sprite_effect(7, (position[1] - 2), (position[2] - 2), 0, 0, 0, -1);
	UI_set_weather(2);
	UI_halt_scheduled(item);
	UI_execute_usecode_array(item, [0x58, 0x0041, 0x6D, 0x6D, 0x6D, 0x61, 0x6F, 0x70, 0x58, 0x0043, 0x6F, 0x67, 0x6C, 0x61, 0x55, Armageddon]);
	goto labelFunc0680_00AB;
	labelFunc0680_0087:
	        UI_execute_usecode_array(item, [0x6D, 0x6E, 0x6D, 0x61, 0x6F, 0x70, 0x6F, 0x67, 0x6C, 0x61, 0x55, 0x0606]);
	labelFunc0680_00AB:
		if (!(event == SCRIPTED)) goto labelFunc0680_00CA;
		UI_item_say(item, "@In Corp Hur Tym@");
		UI_earthquake(0x0028);
		UI_lightning();
 	        UI_armageddon ();
		gflags[ArmageddonCast] = true;
	labelFunc0680_00CA:
		return;
}

Resurrect object#()()
{
               //From Marzo
                var target = UI_click_on_item();
         	var target_shape = UI_get_item_shape(target);
		var pos = UI_get_object_position(target);
		var dir = direction_from(target);
		//target->halt_scheduled();
		halt_scheduled();
		var canresurrect = false;
		if (target_shape in [400, 402, 414, 762, 778, 892, 1310, 1311, 1312, 1313, 1314])
		{
			var target_quality = UI_get_item_quality(target);
			var quant = UI_get_item_quantity(target);
			if ((target_quality == 0) && (quant == 0))
				canresurrect = false;

			else
				canresurrect = target->resurrect();
		}
		else
			canresurrect = false;

		item_say("@In Mani Corp@");
		if (!notInMagicStorm())
                {
                        UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
                        return;
                }
		if (canresurrect)
		{
			script item
			{	nohalt;
                                face dir;
				sfx 64;
                                actor frame KNEEL;
				actor frame STAND;
                                actor frame CAST_1;
                        }
			UI_play_music(15, 0);
			UI_sprite_effect(17, pos[X], pos[Y], 0, 0, 0, -1);
			UI_sprite_effect(13, (pos[X] - 2), (pos[Y] - 2), 0, 0, 0, -1);
		}
		else UI_execute_usecode_array(item, [0x55, 0x0606]);
}

Time_stop object#()()
{
        //from Marzo
        halt_scheduled();
	item_say("@An Tym@");
	if (!notInMagicStorm())
        {
               UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
               return;
        }
	script AVATAR
	{
               nohalt;
               sfx 67;
	       actor frame SWING_2H_3;
               actor frame CAST_2;
        }
        UI_stop_time(100);
}

//*** Other Spells

Detect_charges object#()()
{
        //from Marzo
        var click= UI_click_on_item();
	var get_shape_click = UI_get_item_shape(click);
	item_say("@Wis Ort@");
	if (!notInMagicStorm())
        {
                UI_execute_usecode_array(item, [0x6F, 0x70, 0x6A, 0x55, 0x0606]);
                return;
        }
	script item
	{	nohalt;
	        actor frame SWING_1;
                actor frame SWING_3;
        }
        if (get_shape_click in [SHAPE_LIGHTNING_WAND, SHAPE_FIRE_WAND, SHAPE_FIREDOOM_STAFF_SI, SHAPE_FIREDOOM_STAFF_BG])
                AVATAR.say(click->get_item_quality() + " charges left@");
        else
                UI_execute_usecode_array(item, [0x55, 0x0606]);
}

RechargeMagic object#()() //From Marzo
{
	if (event == DOUBLECLICK)
	{
		halt_scheduled();
		var target = UI_click_on_item();
		var target_shape = target->get_item_shape();
		var dir = direction_from(target);
		item_say("@Uus Ort@");
		var charges = target->get_item_quality();
		if (notInMagicStorm() && (target_shape in [SHAPE_LIGHTNING_WAND, SHAPE_FIRE_WAND, SHAPE_FIREDOOM_STAFF_BG, SHAPE_FIREDOOM_STAFF_SI]) && (charges < 100))
		{
			if (charges < 50)
				charges = charges + UI_die_roll(8, 15);
			else if (charges < 70)
				charges = charges + UI_die_roll(5, 8);
			else if (charges < 200)
				charges = charges + UI_die_roll(3, 5);

			target->set_item_quality(charges);
			UI_sprite_effect(ANIMATION_PURPLE_BUBBLES, target[X + 1], target[Y + 1], 0, 0, 0, -1);
			script item
			{	nohalt;
                                face dir;
				sfx 67;
                                actor frame CAST_2;
				actor frame CAST_1;
                                actor frame USE;
                        }
		}
		else
		{
			script item
			{	nohalt;
                                face dir;
				actor frame CAST_2;
                                actor frame CAST_1;
				actor frame USE;
                                call 0x606;
                        }
		}
	}
}